#############################################################################################################################################################
# DIVERSIFICATION EXPERIMENT									 																																	   #
#																												 																								#								    																						
# Created by: Linda Couwenberg 																		 																								#									 
# Function: People make portfolio of choices								 																						                      	#								 
# Output: Logfile											 																				                                             	#						 
#																																		 																		#			 
#############################################################################################################################################################


### ------- Settings ---------------------------------------------------------------------------------------------------------------------------------------

### fMRI settings

scenario = "Diversification";
scenario_type = fMRI;               	# comment for emulation mode, uncomment for fMRI mode
#scenario_type = fMRI_emulation; 			# comment for fMRI mode, uncomment for emulation mode
#scan_period = 2000;							# comment for fMRI mode, uncomment for emulation mode
pulse_code = 255;
pulses_per_scan = 1;

### Screen settings

default_font_size = 24; 
default_font = "Arial";
screen_width = 1024;									
screen_height = 768;
screen_bit_depth = 32;

### Response settings

response_matching = simple_matching;
default_trial_type = fixed;
#default_stimulus_time_in = 100;
#default_stimulus_time_out = 1000;
active_buttons = 3;
button_codes = 1,2,3;
#target_button_codes = 10,20;
#write_codes = true;
#default_output_port = 1;


### ------- SDL ----------------------------------------------------------------------------------------------------------------------------------------------------------

begin;


### ------- Scanner settings -----------------------------------------------------------------------------------------------------------------------------------------


text { caption = "Wait for scanner..."; font_size = 40;} scanner_text;
text { caption = "30"; font_size = 40;} pulse_text;

trial {                                        #countdowntrial
		trial_duration = 1000;
		stimulus_event {
		picture {
		text { caption = "Start countdown "; font = "Times new roman"; font_size = 40; };			
        x = 0; y = 0;
        }countdowntext;
		code = "start_countdown";
		}countdownevent;
}countdown;	

trial {
	picture {
		text scanner_text;		
		x = 0; y = 100;
		text pulse_text;
		x = 0; y = -100;
   };
   time = 0;
   code = "wait_scanner";
} wait_scanner; 


### ------- Time Estimation Task -----------------------------------------------------------------------------------------------------------------------------------------


### Define stimuli

array {
bitmap { filename = "presentdark2.jpg"; } present1;
bitmap { filename = "present2.jpg"; } present2;
}stimuli;

text{caption = "Too slow!"; font_color = 255,255,255;  font_size = 30; }telangzaam;
text{caption = "Too fast!"; font_color = 255,255,255; font_size = 30; }tesnel;
text{caption = "Good job!"; font_color = 255,255,255;  font_size = 30;}goedgedaan;
text{caption = "No Response"; font_color = 255,255,255; font_size = 30;  }misser;

array {
	text { caption = "  "; } fix ;
	text { caption = "You did not win any prize."; font_size = 30;}miss; 
	text { caption = "You may select one or more prizes!"; font_size = 30;}choices; 
} feedback; 


### Create Trials Time Estimation Task ------------------------------------------------------------------------------------------------------------------------------------------------


trial { 
	trial_type = fixed;
   stimulus_event{
		picture {                                  
			bitmap present1;                                 
			x = 0; y = 0;
		} blue;
		time = 0;
		duration = 1000;
		code = "zwpakje";
    }deel1;
    stimulus_event{
		picture {                         
			bitmap present2; 
			x = 0; y = 0;
		}kleurverandering;
		time = 1000;
		duration = 2000;
		response_active = true;
		stimulus_time_in = 100; 
		stimulus_time_out = 1800;
		target_button = 1;
		code = "pakje";
	}deel2;
}timeestimation_trial;

# Define Feedbacks   

trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		text goedgedaan;
		x = 0; y = 70;
		text choices;
		x = 0; y = -70;
    }feedbackgoed;
    time = 0;
    code = "feedbackgoed";
    } feedback_goedevt;
} feedback_goed;
    
trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		text telangzaam;
		x = 0; y = 70;
		text miss;
		x = 0; y = -70;
    }feedbacktelangzaam;
    time = 0;
    code = "feedbacktelangzaam";
    } feedback_telangzaamevt;
} feedback_telangzaam;
    
trial{
	trial_duration = 1500;
	stimulus_event{
   picture {
		text tesnel;
		x = 0; y = 70;
		text miss;
		x = 0; y = -70;
	} feedbacktesnel;
	time = 0;
   code = "feedbacktesnel";
   } feedback_tesnelevt;
}feedback_tesnel;

trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		background_color = 0,0,0;
		text misser;
		x = 0; y = 0;
   } missfeedback;
   time = 0;
   code = "feedbackmiss";
   } feedback_misevt;
}feedback_mis;



### ------- Choice Task -----------------------------------------------------------------------------------------------------------------------------------------


### Boxes for chosen products

array {
	bitmap { filename = "box2.jpg"; } boxproducts;
	bitmap { filename = "box_empty.jpg"; } boxproducts_empty;
	bitmap { filename = "redbox.jpg"; } yellowbox;
	bitmap { filename = "black.jpg"; } black;	
	bitmap { filename = "greenbox.jpg"; } greenbox;	
	bitmap { filename = "bluebox.png"; } bluebox;
	bitmap { filename = "whiteboxlarge.jpg"; } whiteboxlarge;
}boxes;



### Create arrays of prizes for instructions

array {
		
	bitmap { filename = "instr1.png"; } ; 
	bitmap { filename = "instr2.png"; } ;
	bitmap { filename = "instr3.png"; } ;
	bitmap { filename = "instr4.png"; } ;
	bitmap { filename = "instr5.png"; } ; 
}instrproducts;

array {
	bitmap { filename = "instr1b.png"; } p11b; 
	bitmap { filename = "instr2b.png"; } p12b;
	bitmap { filename = "instr3b.png"; } p13b;
	bitmap { filename = "instr4b.png"; } p14b;
	bitmap { filename = "instr5b.png"; } p15b; 
}greyinstrproducts;

array {
		
	bitmap { filename = "instr1s.png"; } ; 
	bitmap { filename = "instr2s.png"; } ;
	bitmap { filename = "instr3s.png"; } ;
	bitmap { filename = "instr4s.png"; } ;
	bitmap { filename = "instr5s.png"; } ; 
}instrproductssmall;



### Create arrays of prizes

array {
		bitmap { filename = "11.png"; } p11; ### underneath: the 30 3-choice trial product categories (make sure to remove 5 categories!)
	bitmap { filename = "12.png"; } p12;
	bitmap { filename = "13.png"; } p13;
	bitmap { filename = "14.png"; } p14;
	bitmap { filename = "15.png"; } p15; 
		bitmap { filename = "21.png"; } p21;
	bitmap { filename = "22.png"; } p22;
	bitmap { filename = "23.png"; } p23;
	bitmap { filename = "24.png"; } p24;
	bitmap { filename = "25.png"; } p25;
		bitmap { filename = "31.png"; } p31;
	bitmap { filename = "32.png"; } p32;
	bitmap { filename = "33.png"; } p33;
	bitmap { filename = "34.png"; } p34;
	bitmap { filename = "35.png"; } p35;
		bitmap { filename = "41.png"; } p41;
	bitmap { filename = "42.png"; } p42;
	bitmap { filename = "43.png"; } p43;
	bitmap { filename = "44.png"; } p44;
	bitmap { filename = "45.png"; } p45;
		bitmap { filename = "51.png"; } p51;
	bitmap { filename = "52.png"; } p52;
	bitmap { filename = "53.png"; } p53;
	bitmap { filename = "54.png"; } p54;
	bitmap { filename = "55.png"; } p55;
		bitmap { filename = "61.png"; } p61;
	bitmap { filename = "62.png"; } p62;
	bitmap { filename = "63.png"; } p63;
	bitmap { filename = "64.png"; } p64;
	bitmap { filename = "65.png"; } p65;
#		bitmap { filename = "71.png"; } p71;
#	bitmap { filename = "72.png"; } p72;
#	bitmap { filename = "73.png"; } p73;
#	bitmap { filename = "74.png"; } p74;
#	bitmap { filename = "75.png"; } p75;
#		bitmap { filename = "81.png"; } p81;
#	bitmap { filename = "82.png"; } p82;
#	bitmap { filename = "83.png"; } p83;
#	bitmap { filename = "84.png"; } p84;
#	bitmap { filename = "85.png"; } p85;
		bitmap { filename = "91.png"; } p91;
	bitmap { filename = "92.png"; } p92;
	bitmap { filename = "93.png"; } p93;
	bitmap { filename = "94.png"; } p94;
	bitmap { filename = "95.png"; } p95;
		bitmap { filename = "101.png"; } p101;
	bitmap { filename = "102.png"; } p102;
	bitmap { filename = "103.png"; } p103;
	bitmap { filename = "104.png"; } p104;
	bitmap { filename = "105.png"; } p105;
#		bitmap { filename = "111.png"; } p111;
#	bitmap { filename = "112.png"; } p112;
#	bitmap { filename = "113.png"; } p113;
#	bitmap { filename = "114.png"; } p114;
#	bitmap { filename = "115.png"; } p115;
		bitmap { filename = "121.png"; } p121;
	bitmap { filename = "122.png"; } p122;
	bitmap { filename = "123.png"; } p123;
	bitmap { filename = "124.png"; } p124;
	bitmap { filename = "125.png"; } p125;
		bitmap { filename = "131.png"; } p131;
	bitmap { filename = "132.png"; } p132;
	bitmap { filename = "133.png"; } p133;
	bitmap { filename = "134.png"; } p134;
	bitmap { filename = "135.png"; } p135;
		bitmap { filename = "141.png"; } p141;
	bitmap { filename = "142.png"; } p142;
	bitmap { filename = "143.png"; } p143;
	bitmap { filename = "144.png"; } p144;
	bitmap { filename = "145.png"; } p145;
		bitmap { filename = "151.png"; } p151;
	bitmap { filename = "152.png"; } p152;
	bitmap { filename = "153.png"; } p153;
	bitmap { filename = "154.png"; } p154;
	bitmap { filename = "155.png"; } p155;
		bitmap { filename = "161.png"; } p161;
	bitmap { filename = "162.png"; } p162;
	bitmap { filename = "163.png"; } p163;
	bitmap { filename = "164.png"; } p164;
	bitmap { filename = "165.png"; } p165;
		bitmap { filename = "171.png"; } p171;
	bitmap { filename = "172.png"; } p172;
	bitmap { filename = "173.png"; } p173;
	bitmap { filename = "174.png"; } p174;
	bitmap { filename = "175.png"; } p175;
		bitmap { filename = "181.png"; } p181;
	bitmap { filename = "182.png"; } p182;
	bitmap { filename = "183.png"; } p183;
	bitmap { filename = "184.png"; } p184;
	bitmap { filename = "185.png"; } p185;
#		bitmap { filename = "191.png"; } p191;
#	bitmap { filename = "192.png"; } p192;
#	bitmap { filename = "193.png"; } p193;
#	bitmap { filename = "194.png"; } p194;
#	bitmap { filename = "195.png"; } p195;
		bitmap { filename = "201.png"; } p201;
	bitmap { filename = "202.png"; } p202;
	bitmap { filename = "203.png"; } p203;
	bitmap { filename = "204.png"; } p204;
	bitmap { filename = "205.png"; } p205;
		bitmap { filename = "211.png"; } p211;
	bitmap { filename = "212.png"; } p212;
	bitmap { filename = "213.png"; } p213;
	bitmap { filename = "214.png"; } p214;
	bitmap { filename = "215.png"; } p215;
		bitmap { filename = "221.png"; } p221;
	bitmap { filename = "222.png"; } p222;
	bitmap { filename = "223.png"; } p223;
	bitmap { filename = "224.png"; } p224;
	bitmap { filename = "225.png"; } p225;
		bitmap { filename = "231.png"; } p231;
	bitmap { filename = "232.png"; } p232;
	bitmap { filename = "233.png"; } p233;
	bitmap { filename = "234.png"; } p234;
	bitmap { filename = "235.png"; } p235;
		bitmap { filename = "241.png"; } p241;
	bitmap { filename = "242.png"; } p242;
	bitmap { filename = "243.png"; } p243;
	bitmap { filename = "244.png"; } p244;
	bitmap { filename = "245.png"; } p245;
		bitmap { filename = "251.png"; } p251;
	bitmap { filename = "252.png"; } p252;
	bitmap { filename = "253.png"; } p253;
	bitmap { filename = "254.png"; } p254;
	bitmap { filename = "255.png"; } p255; 
		bitmap { filename = "261.png"; } p261;
	bitmap { filename = "262.png"; } p262;
	bitmap { filename = "263.png"; } p263;
	bitmap { filename = "264.png"; } p264;
	bitmap { filename = "265.png"; } p265; 
		bitmap { filename = "271.png"; } p271;
	bitmap { filename = "272.png"; } p272;
	bitmap { filename = "273.png"; } p273;
	bitmap { filename = "274.png"; } p274;
	bitmap { filename = "275.png"; } p275; 
		bitmap { filename = "281.png"; } p281;
	bitmap { filename = "282.png"; } p282;
	bitmap { filename = "283.png"; } p283;
	bitmap { filename = "284.png"; } p284;
	bitmap { filename = "285.png"; } p285; 
#		bitmap { filename = "291.png"; } p291;
#	bitmap { filename = "292.png"; } p292;
#	bitmap { filename = "293.png"; } p293;
#	bitmap { filename = "294.png"; } p294;
#	bitmap { filename = "295.png"; } p295; 
		bitmap { filename = "301.png"; } p301;
	bitmap { filename = "302.png"; } p302;
	bitmap { filename = "303.png"; } p303;
	bitmap { filename = "304.png"; } p304;
	bitmap { filename = "305.png"; } p305; 		
		bitmap { filename = "311.png"; } p311;
	bitmap { filename = "312.png"; } p312;
	bitmap { filename = "313.png"; } p313;
	bitmap { filename = "314.png"; } p314;
	bitmap { filename = "315.png"; } p315; 
		bitmap { filename = "321.png"; } p321;
	bitmap { filename = "322.png"; } p322;
	bitmap { filename = "323.png"; } p323;
	bitmap { filename = "324.png"; } p324;
	bitmap { filename = "325.png"; } p325; 
		bitmap { filename = "331.png"; } p331;
	bitmap { filename = "332.png"; } p332;
	bitmap { filename = "333.png"; } p333;
	bitmap { filename = "334.png"; } p334;
	bitmap { filename = "335.png"; } p335; 
		bitmap { filename = "341.png"; } p341;
	bitmap { filename = "342.png"; } p342;
	bitmap { filename = "343.png"; } p343;
	bitmap { filename = "344.png"; } p344; 
	bitmap { filename = "345.png"; } p345; 
		bitmap { filename = "351.png"; } p351;
	bitmap { filename = "352.png"; } p352;
	bitmap { filename = "353.png"; } p353;
	bitmap { filename = "354.png"; } p354;
	bitmap { filename = "355.png"; } p355; 
		bitmap { filename = "361.png"; } p361; 
	bitmap { filename = "362.png"; } p362;
	bitmap { filename = "363.png"; } p363;
	bitmap { filename = "364.png"; } p364;
	bitmap { filename = "365.png"; } p365; 
		bitmap { filename = "371.png"; } p371;
	bitmap { filename = "372.png"; } p372;
	bitmap { filename = "373.png"; } p373;
	bitmap { filename = "374.png"; } p374;
	bitmap { filename = "375.png"; } p375; 
		bitmap { filename = "381.png"; } p381;
	bitmap { filename = "382.png"; } p382;
	bitmap { filename = "383.png"; } p383;
	bitmap { filename = "384.png"; } p384;
	bitmap { filename = "385.png"; } p385; 
		bitmap { filename = "391.png"; } p391;
	bitmap { filename = "392.png"; } p392;
	bitmap { filename = "393.png"; } p393;
	bitmap { filename = "394.png"; } p394; 
	bitmap { filename = "395.png"; } p395; 
		bitmap { filename = "401.png"; } p401;
	bitmap { filename = "402.png"; } p402;
	bitmap { filename = "403.png"; } p403;
	bitmap { filename = "404.png"; } p404;
	bitmap { filename = "405.png"; } p405; 
		bitmap { filename = "71.png"; } ; ### underneath: the 5 filler trial product categories (make sure they are removed above!)
	bitmap { filename = "72.png"; } ;
	bitmap { filename = "73.png"; } ;
	bitmap { filename = "74.png"; } ;
	bitmap { filename = "75.png"; } ; 
		bitmap { filename = "81.png"; } ;
	bitmap { filename = "82.png"; } ;
	bitmap { filename = "83.png"; } ;
	bitmap { filename = "84.png"; } ;
	bitmap { filename = "85.png"; } ; 
		bitmap { filename = "111.png"; } ;
	bitmap { filename = "112.png"; } ;
	bitmap { filename = "113.png"; } ;
	bitmap { filename = "114.png"; } ;
	bitmap { filename = "115.png"; } ; 
		bitmap { filename = "191.png"; } ;
	bitmap { filename = "192.png"; } ;
	bitmap { filename = "193.png"; } ;
	bitmap { filename = "194.png"; } ; 
	bitmap { filename = "195.png"; } ; 
		bitmap { filename = "291.png"; } ;
	bitmap { filename = "292.png"; } ;
	bitmap { filename = "293.png"; } ;
	bitmap { filename = "294.png"; } ;
	bitmap { filename = "295.png"; } ;
}products;



### Create arrays of grayscale prizes

array {
		bitmap { filename = "11b.png"; } ; ### underneath: the 30 3-choice trial product categories (make sure to remove 5 categories!)
	bitmap { filename = "12b.png"; } ;
	bitmap { filename = "13b.png"; } ;
	bitmap { filename = "14b.png"; } ;
	bitmap { filename = "15b.png"; } ; 
		bitmap { filename = "21b.png"; } ;
	bitmap { filename = "22b.png"; } ;
	bitmap { filename = "23b.png"; } ;
	bitmap { filename = "24b.png"; } ;
	bitmap { filename = "25b.png"; } ;
		bitmap { filename = "31b.png"; } ;
	bitmap { filename = "32b.png"; } ;
	bitmap { filename = "33b.png"; } ;
	bitmap { filename = "34b.png"; } ;
	bitmap { filename = "35b.png"; } ;
		bitmap { filename = "41b.png"; } ;
	bitmap { filename = "42b.png"; } ;
	bitmap { filename = "43b.png"; } ;
	bitmap { filename = "44b.png"; } ;
	bitmap { filename = "45b.png"; } ;
		bitmap { filename = "51b.png"; } ;
	bitmap { filename = "52b.png"; } ;
	bitmap { filename = "53b.png"; } ;
	bitmap { filename = "54b.png"; } ;
	bitmap { filename = "55b.png"; } ;
		bitmap { filename = "61b.png"; } ;
	bitmap { filename = "62b.png"; } ;
	bitmap { filename = "63b.png"; } ;
	bitmap { filename = "64b.png"; } ;
	bitmap { filename = "65b.png"; } ;
#		bitmap { filename = "71b.png"; } ;
#	bitmap { filename = "72b.png"; } ;
#	bitmap { filename = "73b.png"; } ;
#	bitmap { filename = "74b.png"; } ;
#	bitmap { filename = "75b.png"; } ;
#		bitmap { filename = "81b.png"; };
#	bitmap { filename = "82b.png"; } ;
#	bitmap { filename = "83b.png"; } ;
#	bitmap { filename = "84b.png"; } ;
#	bitmap { filename = "85b.png"; } ;
		bitmap { filename = "91b.png"; } ;
	bitmap { filename = "92b.png"; } ;
	bitmap { filename = "93b.png"; } ;
	bitmap { filename = "94b.png"; } ;
	bitmap { filename = "95b.png"; } ;
		bitmap { filename = "101b.png"; } ;
	bitmap { filename = "102b.png"; } ;
	bitmap { filename = "103b.png"; } ;
	bitmap { filename = "104b.png"; } ;
	bitmap { filename = "105b.png"; } ;
#		bitmap { filename = "111b.png"; } ;
#	bitmap { filename = "112b.png"; } ;
#	bitmap { filename = "113b.png"; } ;
#	bitmap { filename = "114b.png"; } ;
#	bitmap { filename = "115b.png"; } ;
		bitmap { filename = "121b.png"; } ;
	bitmap { filename = "122b.png"; } ;
	bitmap { filename = "123b.png"; } ;
	bitmap { filename = "124b.png"; } ;
	bitmap { filename = "125b.png"; } ;
		bitmap { filename = "131b.png"; } ;
	bitmap { filename = "132b.png"; } ;
	bitmap { filename = "133b.png"; } ;
	bitmap { filename = "134b.png"; } ;
	bitmap { filename = "135b.png"; } ;
		bitmap { filename = "141b.png"; } ;
	bitmap { filename = "142b.png"; } ;
	bitmap { filename = "143b.png"; } ;
	bitmap { filename = "144b.png"; } ;
	bitmap { filename = "145b.png"; } ;
		bitmap { filename = "151b.png"; } ;
	bitmap { filename = "152b.png"; } ;
	bitmap { filename = "153b.png"; } ;
	bitmap { filename = "154b.png"; } ;
	bitmap { filename = "155b.png"; } ;
		bitmap { filename = "161b.png"; } ;
	bitmap { filename = "162b.png"; } ;
	bitmap { filename = "163b.png"; } ;
	bitmap { filename = "164b.png"; } ;
	bitmap { filename = "165b.png"; } ;
		bitmap { filename = "171b.png"; } ;
	bitmap { filename = "172b.png"; } ;
	bitmap { filename = "173b.png"; } ;
	bitmap { filename = "174b.png"; } ;
	bitmap { filename = "175b.png"; } ;
		bitmap { filename = "181b.png"; } ;
	bitmap { filename = "182b.png"; } ;
	bitmap { filename = "183b.png"; } ;
	bitmap { filename = "184b.png"; } ;
	bitmap { filename = "185b.png"; } ;
#		bitmap { filename = "191b.png"; } ;
#	bitmap { filename = "192b.png"; } ;
#	bitmap { filename = "193b.png"; } ;
#	bitmap { filename = "194b.png"; } ;
#	bitmap { filename = "195b.png"; } ;
		bitmap { filename = "201b.png"; } ;
	bitmap { filename = "202b.png"; } ;
	bitmap { filename = "203b.png"; } ;
	bitmap { filename = "204b.png"; } ;
	bitmap { filename = "205b.png"; } ;
		bitmap { filename = "211b.png"; } ;
	bitmap { filename = "212b.png"; } ;
	bitmap { filename = "213b.png"; } ;
	bitmap { filename = "214b.png"; } ;
	bitmap { filename = "215b.png"; } ;
		bitmap { filename = "221b.png"; } ;
	bitmap { filename = "222b.png"; } ;
	bitmap { filename = "223b.png"; } ;
	bitmap { filename = "224b.png"; } ;
	bitmap { filename = "225b.png"; } ;
		bitmap { filename = "231b.png"; } ;
	bitmap { filename = "232b.png"; } ;
	bitmap { filename = "233b.png"; } ;
	bitmap { filename = "234b.png"; } ;
	bitmap { filename = "235b.png"; } ;
		bitmap { filename = "241b.png"; } ;
	bitmap { filename = "242b.png"; } ;
	bitmap { filename = "243b.png"; } ;
	bitmap { filename = "244b.png"; } ;
	bitmap { filename = "245b.png"; } ;
		bitmap { filename = "251b.png"; } ;
	bitmap { filename = "252b.png"; } ;
	bitmap { filename = "253b.png"; } ;
	bitmap { filename = "254b.png"; } ;
	bitmap { filename = "255b.png"; } ; 
		bitmap { filename = "261b.png"; } ;
	bitmap { filename = "262b.png"; } ;
	bitmap { filename = "263b.png"; } ;
	bitmap { filename = "264b.png"; } ;
	bitmap { filename = "265b.png"; } ; 
		bitmap { filename = "271b.png"; } ;
	bitmap { filename = "272b.png"; } ;
	bitmap { filename = "273b.png"; } ;
	bitmap { filename = "274b.png"; } ;
	bitmap { filename = "275b.png"; } ; 
		bitmap { filename = "281b.png"; } ;
	bitmap { filename = "282b.png"; } ;
	bitmap { filename = "283b.png"; } ;
	bitmap { filename = "284b.png"; } ;
	bitmap { filename = "285b.png"; } ; 
#		bitmap { filename = "291b.png"; } ;
#	bitmap { filename = "292b.png"; } ;
#	bitmap { filename = "293b.png"; } ;
#	bitmap { filename = "294b.png"; } ;
#	bitmap { filename = "295b.png"; } ; 
		bitmap { filename = "301b.png"; } ;
	bitmap { filename = "302b.png"; } ;
	bitmap { filename = "303b.png"; } ;
	bitmap { filename = "304b.png"; } ;
	bitmap { filename = "305b.png"; } ; 		
		bitmap { filename = "311b.png"; } ;
	bitmap { filename = "312b.png"; } ;
	bitmap { filename = "313b.png"; } ;
	bitmap { filename = "314b.png"; } ;
	bitmap { filename = "315b.png"; } ; 
		bitmap { filename = "321b.png"; } ;
	bitmap { filename = "322b.png"; } ;
	bitmap { filename = "323b.png"; } ;
	bitmap { filename = "324b.png"; } ;
	bitmap { filename = "325b.png"; } ; 
		bitmap { filename = "331b.png"; } ;
	bitmap { filename = "332b.png"; } ;
	bitmap { filename = "333b.png"; } ;
	bitmap { filename = "334b.png"; } ;
	bitmap { filename = "335b.png"; } ; 
		bitmap { filename = "341b.png"; } ;
	bitmap { filename = "342b.png"; } ;
	bitmap { filename = "343b.png"; } ;
	bitmap { filename = "344b.png"; } ; 
	bitmap { filename = "345b.png"; } ; 
		bitmap { filename = "351b.png"; } ;
	bitmap { filename = "352b.png"; } ;
	bitmap { filename = "353b.png"; } ;
	bitmap { filename = "354b.png"; } ;
	bitmap { filename = "355b.png"; } ; 
		bitmap { filename = "361b.png"; } ; 
	bitmap { filename = "362b.png"; } ;
	bitmap { filename = "363b.png"; } ;
	bitmap { filename = "364b.png"; } ;
	bitmap { filename = "365b.png"; } ; 
		bitmap { filename = "371b.png"; } ;
	bitmap { filename = "372b.png"; } ;
	bitmap { filename = "373b.png"; } ;
	bitmap { filename = "374b.png"; } ;
	bitmap { filename = "375b.png"; } ; 
		bitmap { filename = "381b.png"; } ;
	bitmap { filename = "382b.png"; } ;
	bitmap { filename = "383b.png"; } ;
	bitmap { filename = "384b.png"; } ;
	bitmap { filename = "385b.png"; } ; 
		bitmap { filename = "391b.png"; } ;
	bitmap { filename = "392b.png"; } ;
	bitmap { filename = "393b.png"; } ;
	bitmap { filename = "394b.png"; } ; 
	bitmap { filename = "395b.png"; } ; 
		bitmap { filename = "401b.png"; } ;
	bitmap { filename = "402b.png"; } ;
	bitmap { filename = "403b.png"; } ;
	bitmap { filename = "404b.png"; } ;
	bitmap { filename = "405b.png"; } ; 
		bitmap { filename = "71b.png"; } ; ### underneath: the 5 filler trial product categories (make sure they are removed above!)
	bitmap { filename = "72b.png"; } ;
	bitmap { filename = "73b.png"; } ;
	bitmap { filename = "74b.png"; } ;
	bitmap { filename = "75b.png"; } ; 
		bitmap { filename = "81b.png"; } ;
	bitmap { filename = "82b.png"; } ;
	bitmap { filename = "83b.png"; } ;
	bitmap { filename = "84b.png"; } ;
	bitmap { filename = "85b.png"; } ; 
		bitmap { filename = "111b.png"; } ;
	bitmap { filename = "112b.png"; } ;
	bitmap { filename = "113b.png"; } ;
	bitmap { filename = "114b.png"; } ;
	bitmap { filename = "115b.png"; } ; 
		bitmap { filename = "191b.png"; } ;
	bitmap { filename = "192b.png"; } ;
	bitmap { filename = "193b.png"; } ;
	bitmap { filename = "194b.png"; } ; 
	bitmap { filename = "195b.png"; } ; 
		bitmap { filename = "291b.png"; } ;
	bitmap { filename = "292b.png"; } ;
	bitmap { filename = "293b.png"; } ;
	bitmap { filename = "294b.png"; } ;
	bitmap { filename = "295b.png"; } ;
}greyproducts;



### Create arrays of small prizes

array {
		bitmap { filename = "11s.png"; } p11s; ### underneath: the 30 3-choice trial product categories (make sure to remove 5 categories!)
	bitmap { filename = "12s.png"; } p12s;
	bitmap { filename = "13s.png"; } p13s;
	bitmap { filename = "14s.png"; } p14s;
	bitmap { filename = "15s.png"; } p15s; 
		bitmap { filename = "21s.png"; } p21s;
	bitmap { filename = "22s.png"; } p22s;
	bitmap { filename = "23s.png"; } p23s;
	bitmap { filename = "24s.png"; } p24s;
	bitmap { filename = "25s.png"; } p25s;
		bitmap { filename = "31s.png"; } p31s;
	bitmap { filename = "32s.png"; } p32s;
	bitmap { filename = "33s.png"; } p33s;
	bitmap { filename = "34s.png"; } p34s;
	bitmap { filename = "35s.png"; } p35s;
		bitmap { filename = "41s.png"; } p41s;
	bitmap { filename = "42s.png"; } p42s;
	bitmap { filename = "43s.png"; } p43s;
	bitmap { filename = "44s.png"; } p44s;
	bitmap { filename = "45s.png"; } p45s;
		bitmap { filename = "51s.png"; } p51s;
	bitmap { filename = "52s.png"; } p52s;
	bitmap { filename = "53s.png"; } p53s;
	bitmap { filename = "54s.png"; } p54s;
	bitmap { filename = "55s.png"; } p55s;
		bitmap { filename = "61s.png"; } p61s;
	bitmap { filename = "62s.png"; } p62s;
	bitmap { filename = "63s.png"; } p63s;
	bitmap { filename = "64s.png"; } p64s;
	bitmap { filename = "65s.png"; } p65s;
#		bitmap { filename = "71s.png"; } p71s;
#	bitmap { filename = "72s.png"; } p72s;
#	bitmap { filename = "73s.png"; } p73s;
#	bitmap { filename = "74s.png"; } p74s;
#	bitmap { filename = "75s.png"; } p75s;
#		bitmap { filename = "81s.png"; } p81s;
#	bitmap { filename = "82s.png"; } p82s;
#	bitmap { filename = "83s.png"; } p83s;
#	bitmap { filename = "84s.png"; } p84s;
#	bitmap { filename = "85s.png"; } p85s;
		bitmap { filename = "91s.png"; } p91s;
	bitmap { filename = "92s.png"; } p92s;
	bitmap { filename = "93s.png"; } p93s;
	bitmap { filename = "94s.png"; } p94s;
	bitmap { filename = "95s.png"; } p95s;
		bitmap { filename = "101s.png"; } p101s;
	bitmap { filename = "102s.png"; } p102s;
	bitmap { filename = "103s.png"; } p103s;
	bitmap { filename = "104s.png"; } p104s;
	bitmap { filename = "105s.png"; } p105s;
#		bitmap { filename = "111s.png"; } p111s;
#	bitmap { filename = "112s.png"; } p112s;
#	bitmap { filename = "113s.png"; } p113s;
#	bitmap { filename = "114s.png"; } p114s;
#	bitmap { filename = "115s.png"; } p115s;
		bitmap { filename = "121s.png"; } p121s;
	bitmap { filename = "122s.png"; } p122s;
	bitmap { filename = "123s.png"; } p123s;
	bitmap { filename = "124s.png"; } p124s;
	bitmap { filename = "125s.png"; } p125s;
		bitmap { filename = "131s.png"; } p131s;
	bitmap { filename = "132s.png"; } p132s;
	bitmap { filename = "133s.png"; } p133s;
	bitmap { filename = "134s.png"; } p134s;
	bitmap { filename = "135s.png"; } p135s;
		bitmap { filename = "141s.png"; } p141s;
	bitmap { filename = "142s.png"; } p142s;
	bitmap { filename = "143s.png"; } p143s;
	bitmap { filename = "144s.png"; } p144s;
	bitmap { filename = "145s.png"; } p145s;
		bitmap { filename = "151s.png"; } p151s;
	bitmap { filename = "152s.png"; } p152s;
	bitmap { filename = "153s.png"; } p153s;
	bitmap { filename = "154s.png"; } p154s;
	bitmap { filename = "155s.png"; } p155s;
		bitmap { filename = "161s.png"; } p161s;
	bitmap { filename = "162s.png"; } p162s;
	bitmap { filename = "163s.png"; } p163s;
	bitmap { filename = "164s.png"; } p164s;
	bitmap { filename = "165s.png"; } p165s;
		bitmap { filename = "171s.png"; } p171s;
	bitmap { filename = "172s.png"; } p172s;
	bitmap { filename = "173s.png"; } p173s;
	bitmap { filename = "174s.png"; } p174s;
	bitmap { filename = "175s.png"; } p175s;
		bitmap { filename = "181s.png"; } p181s;
	bitmap { filename = "182s.png"; } p182s;
	bitmap { filename = "183s.png"; } p183s;
	bitmap { filename = "184s.png"; } p184s;
	bitmap { filename = "185s.png"; } p185s;
#		bitmap { filename = "191s.png"; } p191s;
#	bitmap { filename = "192s.png"; } p192s;
#	bitmap { filename = "193s.png"; } p193s;
#	bitmap { filename = "194s.png"; } p194s;
#	bitmap { filename = "195s.png"; } p195s;
		bitmap { filename = "201s.png"; } p201s;
	bitmap { filename = "202s.png"; } p202s;
	bitmap { filename = "203s.png"; } p203s;
	bitmap { filename = "204s.png"; } p204s;
	bitmap { filename = "205s.png"; } p205s;
		bitmap { filename = "211s.png"; } p211s;
	bitmap { filename = "212s.png"; } p212s;
	bitmap { filename = "213s.png"; } p213s;
	bitmap { filename = "214s.png"; } p214s;
	bitmap { filename = "215s.png"; } p215s;
		bitmap { filename = "221s.png"; } p221s;
	bitmap { filename = "222s.png"; } p222s;
	bitmap { filename = "223s.png"; } p223s;
	bitmap { filename = "224s.png"; } p224s;
	bitmap { filename = "225s.png"; } p225s;
		bitmap { filename = "231s.png"; } p231s;
	bitmap { filename = "232s.png"; } p232s;
	bitmap { filename = "233s.png"; } p233s;
	bitmap { filename = "234s.png"; } p234s;
	bitmap { filename = "235s.png"; } p235s;
		bitmap { filename = "241s.png"; } p241s;
	bitmap { filename = "242s.png"; } p242s;
	bitmap { filename = "243s.png"; } p243s;
	bitmap { filename = "244s.png"; } p244s;
	bitmap { filename = "245s.png"; } p245s;
		bitmap { filename = "251s.png"; } p251s;
	bitmap { filename = "252s.png"; } p252s;
	bitmap { filename = "253s.png"; } p253s;
	bitmap { filename = "254s.png"; } p254s;
	bitmap { filename = "255s.png"; } p255s;
			bitmap { filename = "261s.png"; } p261s;
	bitmap { filename = "262s.png"; } p262s;
	bitmap { filename = "263s.png"; } p263s;
	bitmap { filename = "264s.png"; } p264s;
	bitmap { filename = "265s.png"; } p265s; 
		bitmap { filename = "271s.png"; } p271s;
	bitmap { filename = "272s.png"; } p272s;
	bitmap { filename = "273s.png"; } p273s;
	bitmap { filename = "274s.png"; } p274s;
	bitmap { filename = "275s.png"; } p275s; 
		bitmap { filename = "281s.png"; } p281s;
	bitmap { filename = "282s.png"; } p282s;
	bitmap { filename = "283s.png"; } p283s;
	bitmap { filename = "284s.png"; } p284s;
	bitmap { filename = "285s.png"; } p285s; 
#		bitmap { filename = "291s.png"; } p291s;
#	bitmap { filename = "292s.png"; } p292s;
#	bitmap { filename = "293s.png"; } p293s;
#	bitmap { filename = "294s.png"; } p294s;
#	bitmap { filename = "295s.png"; } p295s; 
		bitmap { filename = "301s.png"; } p301s;
	bitmap { filename = "302s.png"; } p302s;
	bitmap { filename = "303s.png"; } p303s;
	bitmap { filename = "304s.png"; } p304s;
	bitmap { filename = "305s.png"; } p305s; 
		bitmap { filename = "311s.png"; } p311s;
	bitmap { filename = "312s.png"; } p312s;
	bitmap { filename = "313s.png"; } p313s;
	bitmap { filename = "314s.png"; } p314s;
	bitmap { filename = "315s.png"; } p315s; 
		bitmap { filename = "321s.png"; } p321s;
	bitmap { filename = "322s.png"; } p322s;
	bitmap { filename = "323s.png"; } p323s;
	bitmap { filename = "324s.png"; } p324s;
	bitmap { filename = "325s.png"; } p325s; 
		bitmap { filename = "331s.png"; } p331s;
	bitmap { filename = "332s.png"; } p332s;
	bitmap { filename = "333s.png"; } p333s;
	bitmap { filename = "334s.png"; } p334s;
	bitmap { filename = "335s.png"; } p335s; 
		bitmap { filename = "341s.png"; } p341s;
	bitmap { filename = "342s.png"; } p342s;
	bitmap { filename = "343s.png"; } p343s;
	bitmap { filename = "344s.png"; } p344s; 
	bitmap { filename = "345s.png"; } p345s; 
		bitmap { filename = "351s.png"; } p351s;
	bitmap { filename = "352s.png"; } p352s;
	bitmap { filename = "353s.png"; } p353s;
	bitmap { filename = "354s.png"; } p354s;
	bitmap { filename = "355s.png"; } p355s; 
		bitmap { filename = "361s.png"; } p361s; 
	bitmap { filename = "362s.png"; } p362s;
	bitmap { filename = "363s.png"; } p363s;
	bitmap { filename = "364s.png"; } p364s;
	bitmap { filename = "365s.png"; } p365s; 
		bitmap { filename = "371s.png"; } p371s;
	bitmap { filename = "372s.png"; } p372s;
	bitmap { filename = "373s.png"; } p373s;
	bitmap { filename = "374s.png"; } p374s;
	bitmap { filename = "375s.png"; } p375s; 
		bitmap { filename = "381s.png"; } p381s;
	bitmap { filename = "382s.png"; } p382s;
	bitmap { filename = "383s.png"; } p383s;
	bitmap { filename = "384s.png"; } p384s;
	bitmap { filename = "385s.png"; } p385s; 
		bitmap { filename = "391s.png"; } p391s;
	bitmap { filename = "392s.png"; } p392s;
	bitmap { filename = "393s.png"; } p393s;
	bitmap { filename = "394s.png"; } p394s; 
	bitmap { filename = "395s.png"; } p395s; 
		bitmap { filename = "401s.png"; } p401s;
	bitmap { filename = "402s.png"; } p402s;
	bitmap { filename = "403s.png"; } p403s;
	bitmap { filename = "404s.png"; } p404s;
	bitmap { filename = "405s.png"; } p405s; 
		bitmap { filename = "71s.png"; } ; ### underneath: the 5 filler trial product categories (make sure they are removed above!)
	bitmap { filename = "72s.png"; } ;
	bitmap { filename = "73s.png"; } ;
	bitmap { filename = "74s.png"; } ;
	bitmap { filename = "75s.png"; } ; 
		bitmap { filename = "81s.png"; } ;
	bitmap { filename = "82s.png"; } ;
	bitmap { filename = "83s.png"; } ;
	bitmap { filename = "84s.png"; } ;
	bitmap { filename = "85s.png"; } ; 
		bitmap { filename = "111s.png"; } ;
	bitmap { filename = "112s.png"; } ;
	bitmap { filename = "113s.png"; } ;
	bitmap { filename = "114s.png"; } ;
	bitmap { filename = "115s.png"; } ; 
		bitmap { filename = "191s.png"; } ;
	bitmap { filename = "192s.png"; } ;
	bitmap { filename = "193s.png"; } ;
	bitmap { filename = "194s.png"; } ; 
	bitmap { filename = "195s.png"; } ; 
		bitmap { filename = "291s.png"; } ;
	bitmap { filename = "292s.png"; } ;
	bitmap { filename = "293s.png"; } ;
	bitmap { filename = "294s.png"; } ;
	bitmap { filename = "295s.png"; } ;
}productssmall;


### Small empty

array {
	bitmap { filename = "black_small.jpg"; } empty; 
}emptysmall;


### Create Screens Choice Task ------------------------------------------------------------------------------------------------------------------------------------------------

# Welcome screen

picture {
   text { caption = "Welcome to this experiment!"; font_size = 20;} text_welcome1;
   x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_welcome2;
   x = 0; y = -300;
} welcome;

# Instructions screens

picture {
   text { caption = "In this experiment, you may win one or more prizes!"; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} ;
   x = 0; y = -300;
} instructions1;

picture {
   text { caption = "To win, you will play the Time Estimation Game."; font_size = 20;};
	x = 0; y = 200;
	text { caption = "In this game, you will see a picture."; font_size = 20;};
	x = 0; y = 100;
	text { caption = "When the color of this picture changes, "; font_size = 20;};
	x = 0; y = 0;
	text { caption = "you have to WAIT for EXACTLY 1 SECOND, and then press 'SPACE'."; font_size = 20;};
	x = 0; y = -100;
   text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions2;

picture {
   text { caption = "If you are too slow or too fast, you won't win a prize. You will continue directly with the next game. "; font_size = 20;};
   x = 0; y = 100;
   text { caption = "If your estimate of 1 second was good, you can select one, or even more prizes! "; font_size = 20;};
   x = 0; y = 0;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions3;

picture {
   text { caption = "It is important to do the best you can, because one of the games will be randomly "; font_size = 20;};
   x = 0; y = 100;
   text { caption = "selected at the end, and you will actually receive the prize(s) that you selected in that game!"; font_size = 20;};
   x = 0; y = 00;
   text { caption = "So, if you did not win anything in the selected game, you won't win any prize."; font_size = 20;};
   x = 0; y = -100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions4;


# Practice screen 1

picture {
   text { caption = "First, you will practice the Time Estimation Game"; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = "several times (without the prize selection part)."; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "The practice task starts immediately after you press 'Space'."; font_size = 20;} text_practice12;
   x = 0; y = 0;
   text { caption = "Good luck!"; font_size = 20;} ;
   x = 0; y = -100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_practice2;
   x = 0; y = -300;
} practice1;

# Practice screen 2

picture {
   text { caption = "This was the last practice game!"; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "Now you will practice with selecting the prize(s)."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press 'space' to start the instructions ]"; font_size = 18;} ;
   x = 0; y = -300;
} practice2;


# Practice screen 3

picture {
	bitmap { filename = "practice1.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice1;
   x = 0; y = -300;
} practice3;

# Practice screen 4

picture {
	bitmap { filename = "practice2.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice2;
   x = 0; y = -300;
} practice4;


# Practice screen 5

picture {
	bitmap { filename = "practice3.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice3;
   x = 0; y = -300;
} practice5;

# Practice screen 6

picture {
	bitmap { filename = "practice4.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice4;
   x = 0; y = -300;
} practice6;


# Practice screen 7

picture {
	bitmap { filename = "practice5.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice5;
   x = 0; y = -300;
} practice7;

# Practice screen 8

picture {
	bitmap { filename = "practice6.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice8;

# Practice screen 9

picture {
	bitmap { filename = "practice7.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice9;

# Practice screen 10

picture {
	bitmap { filename = "practice8.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice10;

# Practice screen 11

picture {
	bitmap { filename = "practice9.png"; } ; # part2: pic product 1
	x = 0; y = 100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice11;


# Practice screen 12

picture {
   text { caption = "Note that the experiment will always have the same duration for every participant, "; font_size = 20;} text_practice21;
   x = 0; y = 100;
   text { caption = "independent of the choices you make!"; font_size = 20;};
   x = 0; y = 50;
   text { caption = "So, waiting for the product you really want does not slow down the experiment."; font_size = 20;};
   x = 0; y = 0;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_practice22;
   x = 0; y = -300;
} practice12;

# Practice screen 13

picture {
   text { caption = "Are you ready to practice the prize selection part of the experiment? "; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "These selections do not really count."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press 'space' to start ]"; font_size = 18;} ;
   x = 0; y = -300;
} practice13;

#  End instructions/practice 

picture {
   text { caption = " This is the end of the practice task. "; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = " If you have any questions at this point, please ask the experimenter."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Wait for the experimenter ]"; font_size = 18;} ;
   x = 0; y = -300;
} endpractice;


#  Start fMRI experiment with one practice round with button boxes 

picture {
   text { caption = " Welcome to the scanner! "; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = " We will practice the task one more time with the button boxes."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press with RIGHT INDEX FINGER to continue ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI1;

picture {
   text { caption = " In the Time Estimation Game,"; font_size =20;} ;
   x = 0; y = 100;
   text { caption = " press with your RIGHT INDEX FINGER after 1 second."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press with RIGHT INDEX FINGER to continue ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI2;

picture {
   text { caption = " In the prize selection part: "; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = " YES = RIGHT INDEX FINGER   //   NO = RIGHT MIDDLE FINGER"; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press with RIGHT INDEX FINGER to start the practice task ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI3;


picture {
   text { caption = " First, you will practice the Time Estimation Game. "; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = " Remember: press with RIGHT INDEX FINGER after 1 second. "; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press with RIGHT INDEX FINGER to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI4;

picture {
   text { caption = " Now, you will practice the prize selection part. "; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = " Remember: YES = INDEX FINGER   //   NO = MIDDLE FINGER. "; font_size = 20;} ;
   x = 0; y = 0;
   text { caption = " Please remember to wait for the box to become blue before you press! "; font_size = 20;} ;
   x = 0; y = -100;
	text { caption = "[ Press with RIGHT INDEX FINGER to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI5;

picture {
   text { caption = " This is the end of the practice task."; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = " Are you ready for the real experiment?"; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with RIGHT INDEX FINGER to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI6;

# Start experiment screen

trial {
   trial_duration = forever;
	trial_type = first_response;
   stimulus_event {
		picture {
			text { caption = "Are you ready to start the experiment?"; font_size = 20;} text_startexperiment2;
			x = 0; y = 0;	
			text { caption = "[ Press RIGHT INDEX FINGER to start the experiment! ]"; font_size = 18;} ;
			x = 0; y = -300;	
		} startexperiment;
		code = "start_experiment";
		 } startexperiment_event;
} startexperimenttrial;


### Create the choice task trials ----------------------------------------------------------------------------------------------------

# Show prizes - 2000 ms

trial {
   trial_duration = 2500;
   stimulus_event {
      picture {
			text { caption = " These are the prizes: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "11.png"; } ; # part2: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part3: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part4: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part5: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part6: pic product 5
			x = 410; y = 0;
			} presentation_trial; 
		code = "presentation_prizes";
		 } presentation_event;
} presentationtrial;


# Jitter ---> 2000 - 6000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = "   "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "11b.png"; } ; # part2: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12b.png"; } ; # part3: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13b.png"; }; # part4: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14b.png"; } ; # part5: pic product4
			x = 205; y = 0;
			bitmap { filename = "15b.png"; } ;	# part6: pic product 5
			x = 410; y = 0;
			} jitter_trial; 
		code = "jitter";
		 } jitter_event;
} jittertrial;


# Choice screen - Evaluation (white box) - Duration 3000ms

trial {
   trial_duration = 3000;
	   stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "whiteboxlarge.jpg"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1 
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;	
			} choice3trial_part1; 
		code = "evaluation_part";
	} choice3_event_part1;
} choice3_trial1; 


# Choice screen - Decision (blue box) - Duration until response


trial {
   trial_duration = 2500;
	trial_type = first_response;
	stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; font_color = 255,255,255; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "bluebox.png"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;		
			} choice3trial_part2; 
		response_active = true;
		target_button = 1,2;
		code = "choice_part";
	   } choice3_event_part2;
} choice3_trial2;


# Feedback screen - NO (red box) / YES (green box) - duration jittered in PCL


trial {
   trial_duration = 2000;
	stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; font_color = 255,255,255; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "redbox.jpg"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;	
			} choice3trial_part3; 
			code = "feedback_part";
	   } choice3_event_part3;
} choice3_trial3;

# Show selected prizes - 1 prize - Duration 2000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = " This is your selection: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap black ; # part2: pic product 1
			x = 0; y = 0;
			} portfolio1_trial; 
		code = "presentation_portfolio_1";
		 } portfolio1_event;
} portfolio1trial;

# Show selected prizes - 2 prizes - Duration 2000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = " This is your selection: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap black ; # part2: pic product 1
			x = -100; y = 0;
			bitmap black ; # part3: pic product 2
			x = 100; y = 0;
			} portfolio2_trial; 
		code = "presentation_portfolio_2";
		 } portfolio2_event;
} portfolio2trial;

# Show selected prizes - 3 prizes - Duration 2000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = " This is your selection: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap black ; # part2: pic product 1
			x = -200; y = 0;
			bitmap black ; # part3: pic product 2
			x = 0; y = 0;
			bitmap black ; # part4: pic product 3
			x = 200; y = 0;
			} portfolio3_trial; 
		code = "presentation_portfolio_3";
		 } portfolio3_event;
} portfolio3trial;

# Show selected prizes - 4 prizes - Duration 2000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = " This is your selection: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 230;
			bitmap black ; # part2: pic product 1
			x = -300; y = 0;
			bitmap black ; # part3: pic product 2
			x = -100; y = 0;
			bitmap black ; # part4: pic product 3
			x = 100; y = 0;
			bitmap black ; # part5: pic product 3
			x = 300; y = 0;
			} portfolio4_trial; 
			code = "presentation_portfolio_4";
		 } portfolio4_event;
} portfolio4trial;


# End of experiment 1 - Wait for selection of prizes - Duration 6000ms

trial {
	trial_duration = 4000;
   stimulus_event {
      picture {
			text { caption = "*** END *** 

This is the end of the experiment!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 200;
			text { caption = "One of the games will now be randomly selected. Please wait...";font_size = 24;} ; # part2: standard text 
         x = 0; y = -100;
			} endexp_pic; 
		code = "end";
	   } endexp_event;
} endexp_trial1; 

# End of experiment 2 --> 1 prize selected

trial {
   trial_duration = 6000;
   stimulus_event {
      picture {
			text { caption = "Congratulations, in the selected game you have won 1 prize!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 230;
			text { caption = "You have won:";font_size = 24;} ; # part2: standard text 
         x = 0; y = 130;
			bitmap black ; # part3: pic product 1
			x = 0; y = -50;
			} endexp2_pic; 
			code = "1prize";
	   } endexp2_event;
} endexp_trial2; 


# End of experiment 3 --> 2 prizes selected

trial {
   trial_duration = 6000;
   stimulus_event {
      picture {
			text { caption = "Congratulations, in the selected game you have won 2 prizes!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 230;
			text { caption = "You have won:";font_size = 24;} ; # part2: standard text 
         x = 0; y = 130;
			bitmap black ; # part3: pic product 1
			x = -100; y = -50;
			bitmap black ; # part4: pic product 2
			x = 100; y = -50;
			} endexp3_pic; 
			code = "2prizes";
	   } endexp3_event;
} endexp_trial3; 

# End of experiment 4 --> 3 prizes selected 

trial {
   trial_duration = 6000;
   stimulus_event {
      picture {
			text { caption = "Congratulations, in the selected game you have won 3 prizes!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 230;
			text { caption = "You have won:";font_size = 24;} ; # part2: standard text 
         x = 0; y = 130;
			bitmap black ; # part3: pic product 1
			x = -200; y = -50;
			bitmap black ; # part4: pic product 2
			x = 0; y = -50;
			bitmap black ; # part5: pic product 3
			x = 200; y = -50;
			} endexp4_pic;
			code = "3prizes";
	   } endexp4_event;
} endexp_trial4; 


# End of experiment 5 --> 4 prizes selected

trial {
   trial_duration = 6000;
   stimulus_event {
      picture {
			text { caption = "Congratulations, in the selected game you have won 4 prizes!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 230;
			text { caption = "You have won:";font_size = 24;} ; # part2: standard text 
         x = 0; y = 130;
			bitmap black ; # part3: pic product 1
			x = -300; y = -50;
			bitmap black ; # part4: pic product 2
			x = -100; y = -50;
			bitmap black ; # part5: pic product 3
			x = 100; y = -50;
			bitmap black ; # part6: pic product 3
			x = 300; y = -50;
			} endexp5_pic; 
			code = "4prizes";
	   } endexp5_event;
} endexp_trial5; 


/* ONLY HITTRIALS ARE SELECTED, SO PP ALWAYS WIN AT LEAST 1 PRIZE

# End of experiment 6 --> no prize

trial {
   trial_duration = forever;
	trial_type = first_response;
   stimulus_event {
      picture {
			text { caption = "Sorry, in the selected game you did not win any prize..."; font_size = 24;} ; # part1: standard text 
         x = 0; y = 130;
			bitmap { filename = "sad.png";} ;   # part2: pic product 
			x = 0; y = -50;
			} endexp6_pic; 
	   } endexp6_event;
} endexp_trial6; 
*/



### ------- PCL --------------------------------------------------------------------------------------------------------------------------------------

begin_pcl;

string subj_nr = logfile.subject(); 
string logpath = logfile_directory;

# Tellers + Arrays for Trials
int resp_nrall; 							# Used in sub
int trialtype1counter = 0;				# nr of 1choice trials
int trialtype2counter = 0;				# nr of 2choice trials
int trialtype3counter = 0;				# nr of 3choice trials
int trialtype4counter = 0;				# nr of 4choice trials
int presentation_number = 0;			# log variable nr of times a product in a category is presented in each 3 choice trial
int i; 
int trialnr = 1;
int loopnr = 1;
int productcat = 0;
int outcome = 0;							# outcome time estimation task
int cutoff;									# gets calibrated in practice task
int hits = 0;
int wintrial;

array <int> product[40][5];			# [productcategory][productnr] to refer to right product
array <int> productinfo[40][10][2];	# [productcategory][productnr][1 = nr of times shown+notchosen; 2 = nr of times shown+chosen]
array <int> activeproductcat[40][2];# [productcategory][1 = active in 3 choice trial] (1=yes, 0=no)
												# [productcategory][2 = active in 1/2/4  choice trial] (1=yes, 0=no)
array <int> portfolio[4];				# selected prizes 1, 2, 3 or 4 (not all need to be filled)
array <int> listselections[80][4];	# list of selected products for all trials [trialnr][selected prizes]
array <int> categoryselections[80];	# list of productcategory nr per trial [trialnr]
array <int> hittrials[80];				# list of hit trials to select prize from
array <int> activetrialtype[4];		# [outcome 1/4] active yes (1) or no (0)
array <int> box_location[5][2] = { { -407,0 }, { -202,0 }, { 0,0 }, { 202,0 }, { 407,0 }}; 
array <int> timespresented[40][5]; 	# nr of times a product in a category is presented in each 3 choice trial
array <int> fillernumber[40];			# nr of times one of the fillertrial products is shown (max. = 3x)

# Arrays for getting Rankings
array <int> productranking[200];  # should be total nr of products (40 x 5 = 200)
array<int> temp[200]; 			  	 # should be total nr of products (40 x 5 = 200)

# Logfile variables
string Headers1;				Headers1 = "";
string Headers2;				Headers2 = "";
string Headers3;				Headers3 = "";
string Headers4;				Headers4 = "";
string Headers5;				Headers5 = "";

string trialtype; 			trialtype = "";
string feedbacktype; 		feedbacktype = "";
int chosenbefore; 			chosenbefore = 0;
int timeschosenbefore;		timeschosenbefore = 0;
int notchosenbefore;			notchosenbefore = 0;
int choicenr = 0;	
int choice = 0;
int rankchoice = 0;
int setnrchoice = 1;
int choicetime = 0;
int type;
int lastRT;
int nrofhits = 0;
int lastchoice = 0;
int nrdifferent = 0;
int first3 = 0;

int pulse1;						pulse1 = 0;
int pulse31;					pulse31 = 0;
int lastpulse;					lastpulse = 0;

int on_presentation;
int off_presentation;
int on_jitter;
int off_jitter;
int on_evaluation;
int off_evaluation;
int on_evaluation_min31;
int off_evaluation_min31;
int on_choice;
int off_choice;
int on_feedback;
int off_feedback;
int on_selection;
int off_selection;
int on_experiment;


# Set-up the 3 logfiles
string outfile1 = logfile.subject() + "_diversification_estimation.txt";  
string outfile2 = logfile.subject() + "_diversification_choice.txt";  
string outfile3 = logfile.subject() + "_calibration.txt";  
string outfile4 = logfile.subject() + "_pulses.txt";  
string outfile5 = logfile.subject() + "_prizes.txt";  

output_file ofile1 = new output_file;
output_file ofile2 = new output_file;
output_file ofile3 = new output_file;
output_file ofile4 = new output_file;
output_file ofile5 = new output_file;

# Include subroutines 
include "DIversification_FMRI_2909.pcl";

# Get ranknumbers for each product from ranking textfile
input_file file_productranking = new input_file;

file_productranking.open(logfile_directory + logfile.subject()+ "_ranking.txt"); 
loop until file_productranking.end_of_file() || !file_productranking.last_succeeded()
begin
		loop i = 1 until i > 200 # 40 x 5 = 200 ranknumbers
      begin
         temp[i] = file_productranking.get_int();
         i = i + 1;
      end;
        
		if file_productranking.last_succeeded() then
      productranking.assign( temp );
      end;
end;
file_productranking.close();

# Get individual calibrated cutoff from calibration file
input_file file_calibration = new input_file;

file_calibration.open(logfile_directory + logfile.subject() + "_calibration.txt"); 
	loop 
	until file_calibration.get_string() == "cutoff:" begin; # get average MVC  
	end;
cutoff = file_calibration.get_int();
file_calibration.close();

sub_setuplog(); # to make sure the calibrated start cutoff will be saved to check later
sub_setuplog_pulses(); sub_setuplog_prizes();

### Start instructions/practice with button boxes in fMRI --------------------------------------------------------------------------------------------------------------

#sub_start_fMRI ();
#sub_practice_fMRI ();

# Reset feedback screens and tellers after practice trials
feedbacktesnel.set_part(2, feedback[2]);
feedbacktelangzaam.set_part(2, feedback[2]);
feedbackgoed.set_part(2, feedback[3]);

choicenr = 0; choice = 0; 


### EXPERIMENT ------------------------------------------------------------------------------------------------------------------------------------------------

# Start scanner -------------------------------------------------------------------------------------------------------------------------------

countdown.present();

int pulses_to_wait;
lastpulse = pulse_manager.main_pulse_count(); term.print(lastpulse); 

loop until (pulse_manager.main_pulse_count() > lastpulse + 30) begin    # to wait for scanner: should be 30
	pulses_to_wait = (lastpulse + 30) - pulse_manager.main_pulse_count(); # should be 30
	pulse_text.set_caption(string(pulses_to_wait));
	pulse_text.redraw();
	wait_scanner.present ();
end;

term.print(pulse_manager.main_pulse_count()); 

# Trial settings -------------------------------------------------------------------------------------------------------------------------------

# For each productcategory, define whether its active (1) or not (0), in choice3 trial [x][1] and choice1/2/4 trial [x][2]. Active means: NOT used before.
activeproductcat[1][1] = 1; activeproductcat[2][1] = 1; activeproductcat[3][1] = 1; activeproductcat[4][1] = 1; activeproductcat[5][1] = 1;
activeproductcat[6][1] = 1; activeproductcat[7][1] = 1; activeproductcat[8][1] = 1; activeproductcat[9][1] = 1; activeproductcat[10][1] = 1; 
activeproductcat[11][1] = 1; activeproductcat[12][1] = 1; activeproductcat[13][1] = 1; activeproductcat[14][1] = 1; activeproductcat[15][1] = 1;
activeproductcat[16][1] = 1; activeproductcat[17][1] = 1; activeproductcat[18][1] = 1; activeproductcat[19][1] = 1; activeproductcat[20][1] = 1;
activeproductcat[21][1] = 1; activeproductcat[22][1] = 1; activeproductcat[23][1] = 1; activeproductcat[24][1] = 1; activeproductcat[25][1] = 1;
activeproductcat[26][1] = 1; activeproductcat[27][1] = 1; activeproductcat[28][1] = 1; activeproductcat[29][1] = 1; activeproductcat[30][1] = 1;
activeproductcat[31][1] = 1; activeproductcat[32][1] = 1; activeproductcat[33][1] = 1; activeproductcat[34][1] = 1; activeproductcat[35][1] = 1; 
activeproductcat[36][1] = 0; activeproductcat[37][1] = 0; activeproductcat[38][1] = 0; activeproductcat[39][1] = 0; activeproductcat[40][1] = 0; # 36 - 40 only used for filler trials; so not active in 3 choice trials!

activeproductcat[1][2] = 0; activeproductcat[2][2] = 0; activeproductcat[3][2] = 0; activeproductcat[4][2] = 0; activeproductcat[5][2] = 0;
activeproductcat[6][2] = 0; activeproductcat[7][2] = 0; activeproductcat[8][2] = 0; activeproductcat[9][2] = 0; activeproductcat[10][2] = 0; 
activeproductcat[11][2] = 0; activeproductcat[12][2] = 0; activeproductcat[13][2] = 0; activeproductcat[14][2] = 0; activeproductcat[15][2] = 0;
activeproductcat[16][2] = 0; activeproductcat[17][2] = 0; activeproductcat[18][2] = 0; activeproductcat[19][2] = 0; activeproductcat[20][2] = 0;
activeproductcat[21][2] = 0; activeproductcat[22][2] = 0; activeproductcat[23][2] = 0; activeproductcat[24][2] = 0; activeproductcat[25][2] = 0;
activeproductcat[26][2] = 0; activeproductcat[27][2] = 0; activeproductcat[28][2] = 0; activeproductcat[29][2] = 0; activeproductcat[30][2] = 0;
activeproductcat[31][2] = 0; activeproductcat[32][2] = 0; activeproductcat[33][2] = 0; activeproductcat[34][2] = 0; activeproductcat[35][2] = 0; 
activeproductcat[36][2] = 1; activeproductcat[37][2] = 1; activeproductcat[38][2] = 1; activeproductcat[39][2] = 1; activeproductcat[40][2] = 1; # 36 - 40 only used for filler trials; so active in 1/2/4 choice trials!

# Fill arrays product info with zeros 
# [x][x][1] = shown + not chosen (nr of times) / [x][x][2] = shown + chosen (nr of times) / nr of times product category appeared in filler trials / nr of times product presented in 3 choice trils
int e = 1; 
loop until e > 40 begin 
productinfo[e][1][1] = 0; productinfo[e][1][2] = 0; fillernumber[e] = 0; timespresented[e][1] = 0;
e = e + 1; end; 

e = 1; 
loop until e > 40 begin 
productinfo[e][2][1] = 0; productinfo[e][2][2] = 0; fillernumber[e] = 0; timespresented[e][1] = 0;
e = e + 1; end; 

e = 1; 
loop until e > 40 begin 
productinfo[e][3][1] = 0; productinfo[e][3][2] = 0; fillernumber[e] = 0; timespresented[e][1] = 0;	
e = e + 1; end; 

e = 1; 
loop until e > 40 begin 
productinfo[e][4][1] = 0; productinfo[e][4][2] = 0; fillernumber[e] = 0; timespresented[e][1] = 0;	
e = e + 1; end; 

e = 1; 
loop until e > 40 begin 
productinfo[e][5][1] = 0; productinfo[e][5][2] = 0; fillernumber[e] = 0; timespresented[e][1] = 0;	 
e = e + 1; end; 

# Portfolio (products selected in each trial) starts empty
portfolio[1] = 0; portfolio[2] = 0; portfolio[3] = 0; portfolio[4] = 0; 


### Start Trials ------------------------------------------------------------------------------------------------------------------------------------------------

#sub_start_real_fMRI ();
startexperimenttrial.present();
on_experiment = stimulus_manager.last_stimulus_data().time();	

trialnr = 1; # reset trialnr after practice

loop until trialtype3counter == 35 begin # BEGIN LOOP 1 (trial)  --> 35 x 3choicetrials!

	### 1. TIME ESTIMATION PART ---------------------------------------------------------------------------------------------------------------------------------
	
	timeestimation_trial.present(); # time estimation task
	
	type = stimulus_manager.last_stimulus_data().type();
	lastRT = stimulus_manager.last_stimulus_data().reaction_time();
	
	
	if (type == stimulus_hit) then # BEGIN LOOP 2 (correct response)
	
		if (lastRT < 1000 - cutoff) then # BEGIN LOOP 3 (hit or miss) Too fast: miss trial - MAKE SURE MISS TRIALS 10%!
			feedbacktype = "miss_toofast"; 
			trialtype = " ";
			feedback_tesnel.present ();
			sub_writelog_estimation(); 
			cutoff = cutoff+90; 
			
		elseif(lastRT > 1000 + cutoff) then # Too slow: miss trial - MAKE SURE MISS TRIALS 10%!
			feedbacktype = "miss_tooslow";
			trialtype = " ";
			feedback_telangzaam.present ();
			sub_writelog_estimation(); 
			cutoff = cutoff+90; 
			
		else # Hit trials: start prize selection
			feedbacktype = "hit";
			nrofhits = nrofhits + 1;
			hittrials[nrofhits] = trialnr; # If hit, add trialnr to array from which prizes will be selected
			
			# Distribute fillertrials evenly across experiment, such that it makes pp more engaged:
			if nrofhits == 1 || nrofhits == 5 || nrofhits == 10 || nrofhits == 20 || nrofhits == 25 || nrofhits == 30 || nrofhits == 37  || nrofhits == 43 then outcome = 1;  # Start with 1choice to make pp realize that order is important
			elseif nrofhits == 3 || nrofhits == 13 || nrofhits == 32 || nrofhits == 48 then outcome = 2 ;
			elseif nrofhits == 17 || nrofhits == 26 then outcome = 4 ;
			else outcome = 3;
			end;
			
			if outcome == 1 then trialtype = "choice1";
			elseif outcome == 2 then trialtype = "choice2";
			elseif outcome == 3 then trialtype = "choice3";
			elseif outcome == 4 then trialtype = "choice4";
			end;
		  			
			sub_writelog_estimation(); 
			cutoff = cutoff-10; 
			
			### 2. CHOICE PART --------------------------------------------------------------------------------------------------------------------------------------
			
			### 2.1 Choice-3 Trial ----------------------------------------------------------------------------------------------------------------------------------
			
			if outcome == 3 then # BEGIN LOOP 4 (choice1 or choice3)
		
				### Feedback Part Choice-3 ###
				trialtype3counter = trialtype3counter + 1;
							
				feedback_goed.present();
							
				productcat = random(0, 34); # Start trial once randomly selected productcategory is flagged as 'active' for this trialtype (= [productcat][1] == 1)
				loop until activeproductcat[productcat+1][1] == 1 	
				begin productcat = random(0, 34) end;

				### Choice Part Choice-3 ### 

				#--> Goal 1 is to present lower ranked products first to elicit 'NO' answer. Response 1 = yes, 2 = no.
				
				presentation_trial.set_part(2, products[(productcat*5)+1]);
				presentation_trial.set_part(3, products[(productcat*5)+2]);
				presentation_trial.set_part(4, products[(productcat*5)+3]);
				presentation_trial.set_part(5, products[(productcat*5)+4]);
				presentation_trial.set_part(6, products[(productcat*5)+5]);
				presentationtrial.present(); 
				on_presentation = stimulus_manager.last_stimulus_data().time();
				off_presentation = clock.time(); 
				
				choice = 0; #reset choice
							
				loop until choice == 2 || choicenr == 2 begin # BEGIN LOOP 5 (choice3-loop1) shows items in specific order until choice-NO is made (order: 3 - 4)
				
				# Loops until decision = NO or nr of YES-choices = 2 (in case pp doesnt say 'no'), to be able to repeat a chosen item and see whether pp selects it again or not.	
					if loopnr == 1 then
						i = 1; 
						loop until productranking[(productcat*5) + i] == 3 || i > 5 # find 3rd in ranking for this productcategory
						begin i = i + 1; end;  
					elseif loopnr == 2 then 
						i = 1;
						loop until productranking[(productcat*5) + i] == 4 || i > 5 # if 3rd is selected (=extra loop), find 4th in ranking for this productcategory (loop stops after either no or yes for this item)
						begin i = i + 1; end; 	
					end;
					
					if loopnr == 1 then first3 = 1; else first3 = 0; end;
					
					# i = productnr (1-5) with this specific ranking. i is also used to specify product pics on screen.
					# So, products always have same positioning/order on screen (i = 1 = left; i = 5 = right)!
					
					# Update/reset pictures and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present(); 
								on_jitter = stimulus_manager.last_stimulus_data().time();
								off_jitter = clock.time(); 
															
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of box to item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
							
					choice3_trial1.present(); # evaluation part 
					on_evaluation = stimulus_manager.last_stimulus_data().time();
					off_evaluation = clock.time(); 	
					
					choice3_trial2.present(); # choice part
					on_choice = stimulus_manager.last_stimulus_data().time();	
					off_choice = clock.time(); 
										
					type = stimulus_manager.last_stimulus_data().type();
					lastRT = stimulus_manager.last_stimulus_data().reaction_time();
					choice = stimulus_manager.last_stimulus_data().button();
					
					if productinfo[productcat+1][i][2] > 0 then chosenbefore = 1; # define whether current product is previously chosen YES or NO
					elseif productinfo[productcat+1][i][2] == 0 then chosenbefore = 0;
					end;
				
					timeschosenbefore = productinfo[productcat+1][i][2]; # variable defining how often chosen before
				
					if productinfo[productcat+1][i][1] > 0 then notchosenbefore = 1; # define whether current product is previously shown but NOT chosen YES or NO
					elseif productinfo[productcat+1][i][1] == 0 then notchosenbefore = 0;
					end; 
							
					if (type == stimulus_hit) then # Response is given	
						
					timespresented[productcat+1][i] = timespresented[productcat+1][i] + 1; # save nr of times a product is presented
					presentation_number = timespresented[productcat+1][i]; 
						
						if choice == 1 then # choice-YES is made, loop again but with lower ranked item to elicit 'no' answer
							choicenr = choicenr + 1; # tracks nr of YES-choices
							
							
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i; 	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	portfolio[3] = i; lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
							
							
							choice3trial_part3.set_part(2, boxes[5]); 
							choice3_trial3.set_duration(1000); 
							choice3_trial3.present();
							on_feedback = stimulus_manager.last_stimulus_data().time();	
							off_feedback = clock.time(); 
												
							if productinfo[productcat+1][i][2] == 0 then nrdifferent = nrdifferent + 1; end; # counts how many different items are chosen
							
							productinfo[productcat+1][i][2] = productinfo[productcat+1][i][2] + 1; # product = shown + nr of times chosen
												
							loopnr = loopnr + 1; # LOOPS ONLY AGAIN IF CHOICE = YES
						
							elseif choice == 2 then # choice-NO is made! loop stops
							choice3trial_part3.set_part(2, boxes[3]);	
							choice3_trial3.set_duration(1000);  
							choice3_trial3.present(); 
							on_feedback = stimulus_manager.last_stimulus_data().time();	
							off_feedback = clock.time(); 
							
							productinfo[productcat+1][i][1] = productinfo[productcat+1][i][1] + 1; # product = shown + nr of times NOTchosen
							first3 = 0;
							
						end; 
									
					else feedback_mis.present(); # If no response is given, 'geen reactie' feedback. Loop starts again with the same loopnr (question is repeated).
					
					end;	
					
					#LOGGING INFORMATION
					rankchoice = productranking[(productcat*5) + i];			
					sub_writelog_choice();

					
				end; # END LOOP 5 (choice3-loop1): Loop stops once choice-NO is made or after 2x YES.

				loopnr = 1; # reset loop nr for next loop
				
				#--> Goal 2 is to present 1st ranked product to elicit 'yes' answer. This loop is only entered when less than 2 YES-choices are made in first loop.
				#    If 2 YES-choices were made, loop 2 is skipped and loop 3 will be started directly.
				
				if choicenr < 2 then # BEGIN LOOP 9: only start this loop when less than 2 YES choices were made.
				
					choice = 0; #reset choice
					loop until choice == 1 begin # BEGIN LOOP 6 (choice3-loop2) This loop stops when choice is YES
										
						if loopnr == 1  then # first try to elicit YES for highest ranked item
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5 # find 1st in ranking for this productcategory
							begin i = i + 1; end; # i = nr of product (1-5) with this specific ranking
							
						elseif loopnr == 2 then # if 1st not chosen and loop starts again, we continue with 2nd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
							begin i = i + 1; end;

						elseif loopnr == 3 then # if 2nd not chosen and loop starts again, we continue with 3rd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 3 || i > 5  # find 3rd ranked
							begin i = i + 1; end;	

						elseif loopnr == 4 then # if 3rd not chosen and loop starts again, we continue with 4th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
							begin i = i + 1; end;

						elseif loopnr == 5 then # if 4th not chosen and loop starts again, we continue with 5th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 5th ranked
							begin i = i + 1; end;		

						elseif loopnr > 5 then # if 5th not chosen and loop starts again, we continue with 1st item again
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st ranked again
							begin i = i + 1; end;						
						end; 
						
						# Update/reset pictures and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2,6)*1000); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter = clock.time(); 
								
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of yellow box for item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation = clock.time(); 						

						choice3_trial2.present(); # choice part
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 
						
						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();
						
						if productinfo[productcat+1][i][2] > 0 then chosenbefore = 1; # define whether current product is previously chosen YES or NO
						elseif productinfo[productcat+1][i][2] == 0 then chosenbefore = 0;
						end; 
					
						timeschosenbefore = productinfo[productcat+1][i][2]; # variable defining how often chosen before
					
						if productinfo[productcat+1][i][1] > 0 then notchosenbefore = 1; # define whether current product is previously shown but NOT chosen YES or NO
						elseif productinfo[productcat+1][i][1] == 0 then notchosenbefore = 0;
						end; 
						
						if (type == stimulus_hit) then # Response is given
							
						timespresented[productcat+1][i] = timespresented[productcat+1][i] + 1; # save nr of times a product is presented
						presentation_number = timespresented[productcat+1][i]; 
								
							if choice == 1 then # choice-YES is made, loop stops.
								choicenr = choicenr + 1; # tracks nr of YES-choices
								
							
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i; 	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	portfolio[3] = i; lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present();
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
																					
								if productinfo[productcat+1][i][2] == 0 then nrdifferent = nrdifferent + 1; end; # counts how many different items are chosen

								productinfo[productcat+1][i][2] = productinfo[productcat+1][i][2] + 1; # product = shown + nr of times chosen
																
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
								
								loopnr = loopnr + 1;  # SO, THIS LOOP STARTS AGAIN IF CHOICE = NO
								productinfo[productcat+1][i][1] = productinfo[productcat+1][i][1] + 1; # product = shown + nr of times NOTchosen
								
							end; 
						
						else feedback_mis.present(); # If no response at all, 'geen reactie' feedback, loop starts again with current loopnr (decision repeated).
						end;		
					
						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();

					end; # END LOOP 6 (choice3-loop2): this loop stops once choice-YES is made.
			
				end; # END LOOP 9
					
				loopnr = 1; # reset loop nr for next loop
			
				#--> Goal 3 is to present previously chosen item to see whether they will choose it again, or not	
			
				if choicenr < 3 then # BEGIN LOOP 7 (choice3-loop3): loop only starts when not yet 3 YES choices were made
				
					choice = 0;	#reset choice	
	
					loop until choice == 1 || choice == 2 begin # Loops until choice is either YES or NO
										
						i = 1;
						loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st in ranking for this productcategory
						begin i = i + 1; end; 
						
						if productinfo[productcat+1][i][2] == 0 then # if 1st was not chosen before (goal 2 skipped, but 2 YES-choices made), then go to another chosen product (starting with next highest ranknr)
							i = 1;
							loop until productranking[(productcat*5) + i] == 2  || i > 5  # find other chosen item (starting from next highest ranknr)
							begin i = i + 1; end;		
							if productinfo[productcat+1][i][2] == 0 then
								i = 1;
								loop until productranking[(productcat*5) + i] == 3  || i > 5 
								begin i = i + 1; end;	
							end; 
							if productinfo[productcat+1][i][2] == 0 then
								i = 1;
								loop until productranking[(productcat*5) + i] == 4  || i > 5 
								begin i = i + 1; end;	
							end; 
							if productinfo[productcat+1][i][2] == 0 then
								i = 1;
								loop until productranking[(productcat*5) + i] == 5  || i > 5 
								begin i = i + 1; end;	
							end; 
						end;
					
						# Update/reset pictures and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter = clock.time(); 
								
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of box to item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
									
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation= clock.time(); 
	
						choice3_trial2.present(); # choice part
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 

						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();
						
						if productinfo[productcat+1][i][2] > 0 then chosenbefore = 1; # define whether current product is previously chosen YES or NO
						elseif productinfo[productcat+1][i][2] == 0 then chosenbefore = 0;
						end;
					
						timeschosenbefore = productinfo[productcat+1][i][2]; # variable defining how often chosen before
					
						if productinfo[productcat+1][i][1] > 0 then notchosenbefore = 1; # define whether current product is previously shown but NOT chosen YES or NO
						elseif productinfo[productcat+1][i][1] == 0 then notchosenbefore = 0;
						end; 					
									
						if (type == stimulus_hit) then # Response is given. Loop stops.
						
						timespresented[productcat+1][i] = timespresented[productcat+1][i] + 1; # save nr of times a product is presented
						presentation_number = timespresented[productcat+1][i]; 
									
							if choice == 1 then # choice-YES is made
								choicenr = choicenr + 1; # tracks nr of choices
								
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i; 	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	portfolio[3] = i; lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present();
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 					
							
								if productinfo[productcat+1][i][2] == 0 then nrdifferent = nrdifferent + 1; end; # counts how many different items are chosen
								
								productinfo[productcat+1][i][2] = productinfo[productcat+1][i][2] + 1; # product = shown + nr of times chosen
																		
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
								
								productinfo[productcat+1][i][1] = productinfo[productcat+1][i][1] + 1; # product = shown + nr of times notchosen
								
							end; 
							
						else feedback_mis.present(); # If no response at all, loop starts again.
						end;	

						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();

					end; # Choice was made (either YES or NO)
	
				end;	# END LOOP 7 (choice3-loop3)		

				loopnr = 1; # resets loopnr

				#--> Goal 4 is to present a previously shown but NOT chosen item to see whether they will choose it now	
				#    Only possible if not already 3 choices have been made. Make sure people will complete 3 choices here.
				
				if choicenr < 3 then # BEGIN LOOP 8 (choice3-loop4): only starts when not yet 3 YES choices were made.
					
					loop until choicenr == 3 begin # BEGIN LOOP 10. make sure pp makes 3 choices at this point!
					
						if loopnr == 1 then # start with showing items that are shown but not chosen: if productinfo[productcat+1][i][1] > 0
							i = 1;
							loop until productranking[(productcat*5) + i] == 3 || i > 5  # find item that is shown, but not chosen (start with 3rd rank)
							begin i = i + 1; end; 
							
							if productinfo[productcat+1][i][1] == 0 then # if 3rd was NOT not-chosen before, then go to 4th ranked product
								i = 1;
								loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
								begin i = i + 1; end;
							end;
		
							if productinfo[productcat+1][i][1] == 0 then # if 4th was NOT not-chosen before, then go to 5th ranked product
								i = 1;
								loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 4th ranked
								begin i = i + 1; end; 
							end;
									
							if productinfo[productcat+1][i][1] == 0 then # if 5th was NOT not-chosen before, then go to 2nd ranked product
								i = 1;
								loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
								begin i = i + 1; end;
							end;
								
						elseif loopnr > 1 then # pp have made decision for a previously unchosen product, now just make sure people make 3 choices!
							
							if loopnr == 2 || loopnr == 7 then # first try to elicit YES for highest ranked item
								i = 1;
								loop until productranking[(productcat*5) + i] == 1 || i > 5 # find 1st in ranking for this productcategory
								begin i = i + 1; end; # i = nr of product (1-5) with this specific ranking
								
							elseif loopnr == 3 || loopnr == 8 then # if 1st not chosen and loop starts again, we continue with 2nd item
								i = 1;
								loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
								begin i = i + 1; end;

							elseif loopnr == 4 || loopnr == 9 then # if 2nd not chosen and loop starts again, we continue with 3rd item
								i = 1;
								loop until productranking[(productcat*5) + i] == 3 || i > 5  # find 3rd ranked
								begin i = i + 1; end;	

							elseif loopnr == 5 || loopnr == 10 then # if 3rd not chosen and loop starts again, we continue with 4th item
								i = 1;
								loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
								begin i = i + 1; end;

							elseif loopnr == 6 || loopnr == 11 then # if 4th not chosen and loop starts again, we continue with 5th item
								i = 1;
								loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 5th ranked
								begin i = i + 1; end;		

							elseif loopnr > 11 then # if 5th not chosen and loop starts again, we continue with 1st item again
								i = 1;
								loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st ranked again
								begin i = i + 1; end;						
							end; 

						end; 

						# Update/reset pictures and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter = clock.time(); 
												
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of yellow box for item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation = clock.time(); 
						
						choice3_trial2.present(); # choice part
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 

						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();
						
						if productinfo[productcat+1][i][2] > 0 then chosenbefore = 1; # define whether current product is previously chosen YES or NO
						elseif productinfo[productcat+1][i][2] == 0 then chosenbefore = 0;
						end; 
					
						timeschosenbefore = productinfo[productcat+1][i][2]; # variable defining how often chosen before
					
						if productinfo[productcat+1][i][1] > 0 then notchosenbefore = 1; # define whether current product is previously shown but NOT chosen YES or NO
						elseif productinfo[productcat+1][i][1] == 0 then notchosenbefore = 0;
						end; 
								
						if (type == stimulus_hit) then # Response is given
							
						timespresented[productcat+1][i] = timespresented[productcat+1][i] + 1; # save nr of times a product is presented
						presentation_number = timespresented[productcat+1][i]; 
									
							if choice == 1 then # choice-YES is made
								choicenr = choicenr + 1; # tracks nr of choices
								loopnr = loopnr + 1;	# loop starts again if choicenr is still < 3
								
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i; 	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	portfolio[3] = i; lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
											
									
								if productinfo[productcat+1][i][2] == 0 then nrdifferent = nrdifferent + 1; end; # counts how many different items are chosen

								productinfo[productcat+1][i][2] = productinfo[productcat+1][i][2] + 1; # product = shown + nr of times chosen
																	
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
								
								loopnr = loopnr + 1; # loop starts again if choicenr < 3
								productinfo[productcat+1][i][1] = productinfo[productcat+1][i][1] + 1; # product = shown + nr of times notchosen
									
							end; 
							
						else feedback_mis.present(); # If no response at all, 'geen reactie' feedback, loop starts again with current loopnr.
						end;	
					
						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();
					
					end; # END LOOP 10: 3 choices have been made
			
				end; # END LOOP 8 (choice3-loop4)
			
				activeproductcat[productcat+1][1] = 0; # if 3 choices are made, product category becomes inactive (productcat cannot be selected later in choice3 trial)
				portfolio3_trial.set_part(2, products[(productcat*5)+ portfolio[1]]); 
				portfolio3_trial.set_part(3, products[(productcat*5)+ portfolio[2]]);
				portfolio3_trial.set_part(4, products[(productcat*5)+ portfolio[3]]);
				portfolio3trial.present(); # show what pp has selected
				on_selection = stimulus_manager.last_stimulus_data().time();	
				off_selection = clock.time(); 
				#sub_writelog_choice();

			### 2.2 Choice-1 Trial -------------------------------------------------------------------------------------------------------------------------------------------
					
			elseif outcome == 1 then 
				
				loopnr = 1; 
				
				### Feedback Part ###
						
				feedback_goed.present();
											
				productcat = random(35, 39); # start trial once a productcategory is flagged as 'active' for this trialtype (= [productcat][2] == 1). Only use categories 30-34
				loop until activeproductcat[productcat+1][2] == 1 
				begin productcat = random(35, 39) end;
			
				presentation_trial.set_part(2, products[(productcat*5)+1]);
				presentation_trial.set_part(3, products[(productcat*5)+2]);
				presentation_trial.set_part(4, products[(productcat*5)+3]);
				presentation_trial.set_part(5, products[(productcat*5)+4]);
				presentation_trial.set_part(6, products[(productcat*5)+5]);
				presentationtrial.present();
				on_presentation = stimulus_manager.last_stimulus_data().time();	
				off_presentation = clock.time(); 
					
				choice = 0; #reset choice
			
				### Choice Part ### 
							
				loop until choicenr == 1 begin 
									
					#i = random(1,5); 							
					#loop until productinfo[productcat+1][i][1] == 0  # just select random item each time, but don't show item twice if answer was no (to save time)
					#begin i = random(1,5); end; 
					
						if loopnr == 1 || loopnr == 6 then # first try to elicit YES for highest ranked item
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5 # find 1st in ranking for this productcategory
							begin i = i + 1; end; # i = nr of product (1-5) with this specific ranking
							
						elseif loopnr == 2 || loopnr == 7 then # if 1st not chosen and loop starts again, we continue with 2nd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
							begin i = i + 1; end;

						elseif loopnr == 3 || loopnr == 8 then # if 2nd not chosen and loop starts again, we continue with 3rd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 3 || i > 5  # find 3rd ranked
							begin i = i + 1; end;	

						elseif loopnr == 4 || loopnr == 9 then # if 3rd not chosen and loop starts again, we continue with 4th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
							begin i = i + 1; end;

						elseif loopnr == 5 || loopnr == 10 then # if 4th not chosen and loop starts again, we continue with 5th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 5th ranked
							begin i = i + 1; end;		

						elseif loopnr > 10 then # if 5th not chosen and loop starts again, we continue with 1st item again
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st ranked again
							begin i = i + 1; end;						
						end; 
										
						# Update/reset pictures and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
																			
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter= clock.time(); 
								
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of box to item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation = clock.time(); 
						
						choice3_trial2.present(); # choice part	
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 	
											
						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();				
									
						if (type == stimulus_hit) then # response is given
									
							if choice == 1 then # choice-YES is made
								choicenr = choicenr + 1; # tracks nr of choices
								
									if choicenr == 1 then portfolio[1] = i; lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);						
									end; 	
								
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present();
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
														
																
								#loopnr = loopnr + 1; 
									
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
						
								loopnr = loopnr + 1; 
								
						end; 
							
						else feedback_mis.present(); # If no response at all, 'geen reactie' feedback, loop starts again with current loopnr.
						end;	

						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();

				end; 
								
				fillernumber[productcat+1] = fillernumber[productcat+1] + 1; # update nr of times this category has appeared in a filler trial
				if fillernumber[productcat+1] == 3 then activeproductcat[productcat+1][2] = 0 end;  # if number exceeds 3, then make inactive
				
				portfolio1_trial.set_part(2, products[(productcat*5)+ portfolio[1]]); 
				portfolio1trial.present(); # show what pp has selected
				on_selection = stimulus_manager.last_stimulus_data().time();	
				off_selection = clock.time(); 
				#sub_writelog_choice();
			
			### 2.3 Choice-2 Trial -------------------------------------------------------------------------------------------------------------------------------------------------
	
			elseif outcome == 2 then
				
				loopnr = 1;
				
				### Feedback Part ###
				#trialtype2counter = trialtype2counter + 1;
				#if trialtype2counter == 4 then activetrialtype[2] = 0; end; # max. 4 occurences (fillertrials), after 4x it becomes inactive
			
				feedback_goed.present();
									
				productcat = random(35, 39); # start trial once a productcategory is flagged as 'active' for this trialtype (= [productcat][2] == 1)
				loop until activeproductcat[productcat+1][2] == 1 	
				begin productcat = random(35, 39) end;
				
				presentation_trial.set_part(2, products[(productcat*5)+1]);
				presentation_trial.set_part(3, products[(productcat*5)+2]);
				presentation_trial.set_part(4, products[(productcat*5)+3]);
				presentation_trial.set_part(5, products[(productcat*5)+4]);
				presentation_trial.set_part(6, products[(productcat*5)+5]);
				presentationtrial.present();
				on_presentation = stimulus_manager.last_stimulus_data().time();	
				off_presentation = clock.time(); 
				
				choice = 0; #reset choice
					
				### Choice Part ### 
								
				loop until choicenr == 2 begin 
									
					#i = random(1,5); 							
					#loop until productinfo[productcat+1][i][1] == 0  # just select random item each time, but don't show item twice if answer was no (to save time)
					#begin i = random(1,5); end; 
					
						if loopnr == 1 || loopnr == 6 then # first try to elicit YES for highest ranked item
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5 # find 1st in ranking for this productcategory
							begin i = i + 1; end; # i = nr of product (1-5) with this specific ranking
							
						elseif loopnr == 2 || loopnr == 7 then # if 1st not chosen and loop starts again, we continue with 2nd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
							begin i = i + 1; end;

						elseif loopnr == 3 || loopnr == 8 then # if 2nd not chosen and loop starts again, we continue with 3rd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 3 || i > 5  # find 3rd ranked
							begin i = i + 1; end;	

						elseif loopnr == 4 || loopnr == 9 then # if 3rd not chosen and loop starts again, we continue with 4th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
							begin i = i + 1; end;

						elseif loopnr == 5 || loopnr == 10 then # if 4th not chosen and loop starts again, we continue with 5th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 5th ranked
							begin i = i + 1; end;		

						elseif loopnr > 10 then # if 5th not chosen and loop starts again, we continue with 1st item again
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st ranked again
							begin i = i + 1; end;						
						end; 
			
						# Reset/update products and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter = clock.time(); 
					
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of box to item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation = clock.time(); 
						
						choice3_trial2.present(); # choice part
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 
							
						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();
													
						if (type == stimulus_hit) then # Response is given
									
							if choice == 1 then # choice-YES is made
							
									choicenr = choicenr + 1; # tracks nr of choices		
							
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i;  lastchoice = 1;	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									end; 	
	
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 					
									
								#if productinfo[productcat+1][i][2] == 0 then nrdifferent = nrdifferent + 1; end; # counts how many different items are chosen
													
								#loopnr = loopnr + 1; --> start again with item for which pp said YES 
								
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 	
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
					
								loopnr = loopnr + 1; 
								
							end; 
							
						else feedback_mis.present(); # If no response at all, 'geen reactie' feedback, loop starts again with current loopnr.
						end;	

						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();
						
					end; 
			
				fillernumber[productcat+1] = fillernumber[productcat+1] + 1; # update nr of times this category has appeared in a filler trial
				if fillernumber[productcat+1] == 3 then activeproductcat[productcat+1][2] = 0 end;  # if number exceeds 3, then make inactive

				portfolio2_trial.set_part(2, products[(productcat*5)+ portfolio[1]]); 
				portfolio2_trial.set_part(3, products[(productcat*5)+ portfolio[2]]); 
				portfolio2trial.present(); # show what pp has selected
				on_selection = stimulus_manager.last_stimulus_data().time();	
				off_selection = clock.time(); 
				#sub_writelog_choice();
				
			
				
			# 2.4 Choice-4 Trial ---------------------------------------------------------------------------------------------------------------------------------------------------------
	
			elseif outcome == 4 then
				
				loopnr = 1; 
				
				### Feedback Part ###
				#trialtype4counter = trialtype4counter + 1;
				#if trialtype4counter == 2 then activetrialtype[4] = 0; end; # max. 2 occurences (fillertrials), after 2x it becomes inactive
				
				feedback_goed.present();
					
				productcat = random(35, 39); # start trial once a productcategory is flagged as 'active' for this trialtype (= [productcat][2] == 1)
				loop until activeproductcat[productcat+1][2] == 1 	
				begin productcat = random(35, 39) end;
				
				presentation_trial.set_part(2, products[(productcat*5)+1]);
				presentation_trial.set_part(3, products[(productcat*5)+2]);
				presentation_trial.set_part(4, products[(productcat*5)+3]);
				presentation_trial.set_part(5, products[(productcat*5)+4]);
				presentation_trial.set_part(6, products[(productcat*5)+5]);
				presentationtrial.present();
				on_presentation = stimulus_manager.last_stimulus_data().time();	
				off_presentation = clock.time(); 
									
				choice = 0; #reset choice
							
				### Choice Part ### 
								
				loop until choicenr == 4 begin 
								
					#i = random(1,5); 							
					#loop until productinfo[productcat+1][i][1] == 0  # just select random item each time, but don't show item twice if answer was no (to save time)
					#begin i = random(1,5); end; 
					
						if loopnr == 1 || loopnr == 6 then # first try to elicit YES for highest ranked item
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5 # find 1st in ranking for this productcategory
							begin i = i + 1; end; # i = nr of product (1-5) with this specific ranking
							
						elseif loopnr == 2 || loopnr == 7 then # if 1st not chosen and loop starts again, we continue with 2nd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 2 || i > 5  # find 2nd ranked
							begin i = i + 1; end;

						elseif loopnr == 3 || loopnr == 8 then # if 2nd not chosen and loop starts again, we continue with 3rd item
							i = 1;
							loop until productranking[(productcat*5) + i] == 3 || i > 5  # find 3rd ranked
							begin i = i + 1; end;	

						elseif loopnr == 4 || loopnr == 9 then # if 3rd not chosen and loop starts again, we continue with 4th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 4 || i > 5  # find 4th ranked
							begin i = i + 1; end;

						elseif loopnr == 5 || loopnr == 10 then # if 4th not chosen and loop starts again, we continue with 5th item
							i = 1;
							loop until productranking[(productcat*5) + i] == 5 || i > 5  # find 5th ranked
							begin i = i + 1; end;		

						elseif loopnr > 10 then # if 5th not chosen and loop starts again, we continue with 1st item again
							i = 1;
							loop until productranking[(productcat*5) + i] == 1 || i > 5  # find 1st ranked again
							begin i = i + 1; end;						
						end; 
					
						# Resets/updates products and basket
									if choicenr == 0 then 
										choice3trial_part1.set_part(9, emptysmall[1]);
										choice3trial_part1.set_part(10, emptysmall[1]);
										choice3trial_part1.set_part(11, emptysmall[1]);
										choice3trial_part2.set_part(9, emptysmall[1]);
										choice3trial_part2.set_part(10, emptysmall[1]);
										choice3trial_part2.set_part(11, emptysmall[1]);	
										choice3trial_part3.set_part(9, emptysmall[1]);
										choice3trial_part3.set_part(10, emptysmall[1]);
										choice3trial_part3.set_part(11, emptysmall[1]);						
									elseif choicenr == 1 then 
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);		
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	
										choice3trial_part1.set_part(8, boxes[1]);
										choice3trial_part1.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part1.set_part(10, productssmall[(productcat*5)+portfolio[2]]);
										choice3trial_part1.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
										choice3trial_part2.set_part(8, boxes[1]);
										choice3trial_part2.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part2.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part2.set_part(11, productssmall[(productcat*5)+portfolio[3]]);				
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									end; 	
								
								
								jitter_trial.set_part(2, greyproducts[(productcat*5)+1]);
								jitter_trial.set_part(3, greyproducts[(productcat*5)+2]);
								jitter_trial.set_part(4, greyproducts[(productcat*5)+3]);
								jitter_trial.set_part(5, greyproducts[(productcat*5)+4]);
								jitter_trial.set_part(6, greyproducts[(productcat*5)+5]);
								jittertrial.set_duration(random(2000,6000)); # Jitter duration of presentation trial (for 1st choice) 
								jittertrial.present();
								on_jitter = stimulus_manager.last_stimulus_data().time();	
								off_jitter = clock.time(); 
								
								choice3trial_part1.set_part_x( 2, box_location[i][1] ); # change location of box to item i 
								choice3trial_part1.set_part_y( 2, box_location[i][2] );
								choice3trial_part2.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part2.set_part_y( 2, box_location[i][2] );
								choice3trial_part3.set_part_x( 2, box_location[i][1] ); 
								choice3trial_part3.set_part_y( 2, box_location[i][2] );
										
								choice3trial_part1.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part1.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part1.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part1.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part1.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part1.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part2.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part2.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part2.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part2.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part2.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part2.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
								choice3trial_part3.set_part(3, greyproducts[(productcat*5)+1]);
								choice3trial_part3.set_part(4, greyproducts[(productcat*5)+2]);
								choice3trial_part3.set_part(5, greyproducts[(productcat*5)+3]);
								choice3trial_part3.set_part(6, greyproducts[(productcat*5)+4]);
								choice3trial_part3.set_part(7, greyproducts[(productcat*5)+5]);
								choice3trial_part3.set_part((i+2), products[(productcat*5)+i]); # change to bright color
								
						choice3_trial1.present(); # evaluation part
						on_evaluation = stimulus_manager.last_stimulus_data().time();	
						off_evaluation = clock.time(); 
						
						choice3_trial2.present(); # choice part
						on_choice = stimulus_manager.last_stimulus_data().time();	
						off_choice = clock.time(); 

						type = stimulus_manager.last_stimulus_data().type();
						lastRT = stimulus_manager.last_stimulus_data().reaction_time();
						choice = stimulus_manager.last_stimulus_data().button();
													
						if (type == stimulus_hit) then # response is given
									
							if choice == 1 then # choice-YES is made
								choicenr = choicenr + 1; # tracks nr of choices
								
									if choicenr == 1 then portfolio[1] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);								
									elseif choicenr == 2 then  portfolio[2] = i; 	
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
									elseif choicenr == 3 then	portfolio[3] = i; 
										choice3trial_part3.set_part(8, boxes[1]);
										choice3trial_part3.set_part(9, productssmall[(productcat*5)+portfolio[1]]);
										choice3trial_part3.set_part(10, productssmall[(productcat*5)+portfolio[2]]);	
										choice3trial_part3.set_part(11, productssmall[(productcat*5)+portfolio[3]]);
									elseif choicenr == 4 then portfolio[4] = i; lastchoice = 1;	
									end; 	
									
								choice3trial_part3.set_part(2, boxes[5]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present();
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
																											
								#loopnr = loopnr + 1; --> start again with item for which pp said YES
								
							elseif choice == 2 then # choice-NO is made
								choice3trial_part3.set_part(2, boxes[3]);	
								choice3_trial3.set_duration(1000); 
								choice3_trial3.present(); 
								on_feedback = stimulus_manager.last_stimulus_data().time();	
								off_feedback = clock.time(); 
								
								loopnr = loopnr + 1; 
								
							end; 
							
						else feedback_mis.present(); # If no response at all, 'geen reactie' feedback, loop starts again with current loopnr.
						end;	

						#LOGGING INFORMATION
						rankchoice = productranking[(productcat*5) + i];
						sub_writelog_choice();

					end; 
			
					fillernumber[productcat+1] = fillernumber[productcat+1] + 1; # update nr of times this category has appeared in a filler trial
					if fillernumber[productcat+1] == 3 then activeproductcat[productcat+1][2] = 0 end;  # if number exceeds 3, then make inactive
					
					portfolio4_trial.set_part(2, products[(productcat*5)+ portfolio[1]]); 
					portfolio4_trial.set_part(3, products[(productcat*5)+ portfolio[2]]); 
					portfolio4_trial.set_part(4, products[(productcat*5)+ portfolio[3]]); 
					portfolio4_trial.set_part(5, products[(productcat*5)+ portfolio[4]]); 
					
					portfolio4trial.present(); # show what pp has selected
					on_selection = stimulus_manager.last_stimulus_data().time();	
					off_selection = clock.time(); 
					#sub_writelog_choice();

				end; # END LOOP 4 (choice1,2,3,4)
				
		end; # END LOOP 3 (hit or miss)
		listselections[trialnr][1]= portfolio[1]; listselections[trialnr][2]= portfolio[2]; listselections[trialnr][3]= portfolio[3]; listselections[trialnr][4]= portfolio[4]; # Save which productnrs were selected in each trial
		categoryselections[trialnr] = productcat; # Connect trialnr to product category
		
		portfolio[1] = 0; portfolio[2] = 0; portfolio[3] = 0; portfolio[4] = 0; # reset selected prizes in portfolio to zero
		
	else # No response given in time estimation task
	feedback_mis.present(); # No response in time estimation task
	feedbacktype = "miss_noresponse";	
	trialtype = " ";
	sub_writelog_estimation();
		
	end; # END LOOP 2 (correct response)
	trialnr = trialnr + 1; # counts nr of trials
	choicenr = 0; # resets nr of choices made in trial
	loopnr = 1; # resets loopnr
	nrdifferent = 0; # resets number of different choices
	lastchoice = 0; # resets lastchoice
	chosenbefore = 0; # resets chosenbefore
	notchosenbefore = 0; # resets notchosenbefore
	presentation_number = 0; # resent presentation number
	
end; # END LOOP 1 (trial)


### END OF EXPERIMENT ---------------------------------------------------------------------------------------------------------------------------------------------------------------------

endexp_trial1.present();

wintrial = random(1, nrofhits); # random trialnr is selected (total nr of hits is equal for all participants)

# Here, the code checks which products were selected in the randomly selected hit trial 
if listselections[hittrials[wintrial]][4] > 0 && listselections[hittrials[wintrial]][3] > 0 && listselections[hittrials[wintrial]][2] > 0 then  # 4 prizes
	endexp5_pic.set_part(3, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][1]]);
	endexp5_pic.set_part(4, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][2]]);
	endexp5_pic.set_part(5, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][3]]);
	endexp5_pic.set_part(6, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][4]]);
	endexp_trial5.present();
elseif listselections[hittrials[wintrial]][4] == 0 && listselections[hittrials[wintrial]][3] > 0 && listselections[hittrials[wintrial]][2] > 0 then  # 3 prizes
	endexp4_pic.set_part(3, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][1]]);
	endexp4_pic.set_part(4, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][2]]);
	endexp4_pic.set_part(5, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][3]]);
	endexp_trial4.present();
elseif listselections[hittrials[wintrial]][4] == 0 && listselections[hittrials[wintrial]][3] == 0 && listselections[hittrials[wintrial]][2] > 0 then # 2 prizes
	endexp3_pic.set_part(3, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][1]]);
	endexp3_pic.set_part(4, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][2]]);
	endexp_trial3.present();
elseif listselections[hittrials[wintrial]][4] == 0 && listselections[hittrials[wintrial]][3] == 0 && listselections[hittrials[wintrial]][2] == 0 then # 1 prizes
	endexp2_pic.set_part(3, products[(categoryselections[hittrials[wintrial]])*5 + listselections[hittrials[wintrial]][1]]);
	endexp_trial2.present();
end; 

sub_writelog_prizes();

term.print( "random hittrial:" );
term.print( wintrial );
term.print( "/n corresponding trialnr:" );
term.print( hittrials[wintrial] );
term.print( "/n total trials:" );
term.print( trialnr );


### ----- End scanner ---------------------------------------------------------------------------------------------------------------------------------------

# Wait 7 pulses for BOLD response

lastpulse = pulse_manager.main_pulse_count();

loop until (pulse_manager.main_pulse_count() > lastpulse+5) begin
	pulses_to_wait = (lastpulse + 5) - pulse_manager.main_pulse_count();
	scanner_text.set_caption("Please wait for the scanner...");	
	scanner_text.redraw();
	pulse_text.set_caption(string(pulses_to_wait));
	pulse_text.redraw();
	wait_scanner.present ();
end;
 

# Write pulsefile

pulse1 =  pulse_manager.main_pulse_time(1); 
pulse31 =  pulse_manager.main_pulse_time(31); 
sub_writelog_pulses();



