#############################################################################################################################################################
# DIVERSIFICATION EXPERIMENT - INSTRUCTIONS AND PRACTICE																																	   #
#																												 																								#								    																						
# Created by: Linda Couwenberg 																		 																								#									 
# Function: People make portfolio of choices								 																						                      	#								 
# Output: None  											 																				                                             	#						 
#																																		 																		#			 
#############################################################################################################################################################


### ------- Settings ---------------------------------------------------------------------------------------------------------------------------------------


### Screen settings

default_font_size = 24; 
default_font = "Arial";

screen_width = 1024;									
screen_height = 768;
screen_bit_depth = 32;

### Response settings

response_matching = simple_matching;
default_trial_type = fixed;
default_stimulus_time_in = 100;
#default_stimulus_time_out = 1000;
active_buttons = 2;
button_codes = 1,2;


### ------- SDL ----------------------------------------------------------------------------------------------------------------------------------------------------------

begin;

### ------- Time Estimation Task -----------------------------------------------------------------------------------------------------------------------------------------

### Define stimuli

array {
bitmap { filename = "presentdark2.jpg"; } present1;
bitmap { filename = "present2.jpg"; } present2;
}stimuli;

text{caption = "Too slow!"; font_color = 255,255,255;  font_size = 40; }telangzaam;
text{caption = "Too fast!"; font_color = 255,255,255; font_size = 40; }tesnel;
text{caption = "Good job!"; font_color = 255,255,255;  font_size = 40;}goedgedaan;
text{caption = "No Response"; font_color = 255,255,255; font_size = 40;  }misser;

array {
	text { caption = "  "; } fix ;
	text { caption = "You did not win any prize."; font_size = 40;}miss; 
	text { caption = "You may select one or more prizes!"; font_size = 40;}choices; 
} feedback; 


### Create Trials Time Estimation Task ------------------------------------------------------------------------------------------------------------------------------------------------


trial { 
	trial_type = fixed;
   stimulus_event{
		picture {                                  
			bitmap present1;                                 
			x = 0; y = 0;
		} blue;
		time = 0;
		duration = 1000;
		code = "zwpakje";
    }deel1;
    stimulus_event{
		picture {                         
			bitmap present2; 
			x = 0; y = 0;
		}kleurverandering;
		time = 1000;
		duration = 2000;
		response_active = true;
		stimulus_time_in = 100; 
		stimulus_time_out = 1800;
		target_button = 1;
		code = "pakje";
	}deel2;
}timeestimation_trial;

# Define Feedbacks   

trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		text goedgedaan;
		x = 0; y = 70;
		text choices;
		x = 0; y = -70;
    }feedbackgoed;
    time = 0;
    code = "feedbackgoed";
    } feedback_goedevt;
} feedback_goed;
    
trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		text telangzaam;
		x = 0; y = 70;
		text miss;
		x = 0; y = -70;
    }feedbacktelangzaam;
    time = 0;
    code = "feedbacktelangzaam";
    } feedback_telangzaamevt;
} feedback_telangzaam;
    
trial{
	trial_duration = 1500;
	stimulus_event{
   picture {
		text tesnel;
		x = 0; y = 70;
		text miss;
		x = 0; y = -70;
	} feedbacktesnel;
	time = 0;
   code = "feedbacktesnel";
   } feedback_tesnelevt;
}feedback_tesnel;

trial{
	trial_duration = 1500;
	stimulus_event{
	picture {
		background_color = 0,0,0;
		text misser;
		x = 0; y = 0;
   } missfeedback;
   time = 0;
   code = "feedbackmiss";
   } feedback_misevt;
}feedback_mis;


### ------- Choice Task -----------------------------------------------------------------------------------------------------------------------------------------


### Boxes for chosen products

array {
	bitmap { filename = "box2.jpg"; } boxproducts;
	bitmap { filename = "box_empty.jpg"; } boxproducts_empty;
	bitmap { filename = "redbox.jpg"; } yellowbox;
	bitmap { filename = "black.jpg"; } black;	
	bitmap { filename = "greenbox.jpg"; } greenbox;	
	bitmap { filename = "bluebox.png"; } bluebox;
	bitmap { filename = "whiteboxlarge.jpg"; } whiteboxlarge;
}boxes;


### Create arrays of prizes for instructions

array {
	bitmap { filename = "instr1.png"; } p11; 
	bitmap { filename = "instr2.png"; } p12;
	bitmap { filename = "instr3.png"; } p13;
	bitmap { filename = "instr4.png"; } p14;
	bitmap { filename = "instr5.png"; } p15; 
}instrproducts;

array {
	bitmap { filename = "instr1b.png"; } p11b; 
	bitmap { filename = "instr2b.png"; } p12b;
	bitmap { filename = "instr3b.png"; } p13b;
	bitmap { filename = "instr4b.png"; } p14b;
	bitmap { filename = "instr5b.png"; } p15b; 
}greyinstrproducts;

array {
	bitmap { filename = "instr1s.png"; } p11s; 
	bitmap { filename = "instr2s.png"; } p12s;
	bitmap { filename = "instr3s.png"; } p13s;
	bitmap { filename = "instr4s.png"; } p14s;
	bitmap { filename = "instr5s.png"; } p15s; 
}instrproductssmall;


array {
	bitmap { filename = "black_small.jpg"; } empty; 
}emptysmall;

array {
	bitmap { filename = "instr1.png"; } ; 
}products;


### Create Screens Choice Task ------------------------------------------------------------------------------------------------------------------------------------------------

# Welcome screen

picture {
   text { caption = "Welcome to this experiment!"; font_size = 20;} text_welcome1;
   x = 0; y = 0;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_welcome2;
   x = 0; y = -300;
} welcome;

# Instructions screens

picture {
   text { caption = "In this experiment, you may win one or more prizes!"; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} ;
   x = 0; y = -300;
} instructions1;

picture {
   text { caption = "To win, you will play the Time Estimation Game."; font_size = 20;};
	x = 0; y = 100;
	text { caption = "In this game, you will see a picture."; font_size = 20;};
	x = 0; y = 50;
	text { caption = "When the color of this picture changes, "; font_size = 20;};
	x = 0; y = 0;
	text { caption = "you have to WAIT for EXACTLY 1 SECOND, and then press 'SPACE'."; font_size = 20;};
	x = 0; y = -50;
   text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions2;

picture {
   text { caption = "If you are too slow or too fast, you won't win a prize."; font_size = 20;};
   x = 0; y = 100;
   text { caption = "You will continue directly with the next game.  "; font_size = 20;};
   x = 0; y = 50;
   text { caption = "If your estimate of 1 second was good,"; font_size = 20;};
   x = 0; y = 0;
   text { caption = "you can select one, or even more prizes! "; font_size = 20;};
   x = 0; y = -50;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions3;

picture {
   text { caption = "It is important to do the best you can, because one"; font_size =20;};
   x = 0; y = 100;
   text { caption = "of the games will be randomly selected at the end, and you will "; font_size =20;};
   x = 0; y = 50;
   text { caption = "actually receive the prize(s) that you selected in that game!"; font_size = 20;};
   x = 0; y = 00;
   text { caption = "So, if you did not win anything in the selected game, "; font_size =20;};
   x = 0; y = -50;
   text { caption = "you won't win any prize."; font_size =20;};
   x = 0; y = -100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;};
   x = 0; y = -300;
} instructions4;


# Practice screen 1

picture {
   text { caption = "First, you will practice the Time Estimation Game"; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = "several times (without the prize selection part)."; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "The practice task starts immediately after you press 'Space'."; font_size = 20;} text_practice12;
   x = 0; y = 0;
   text { caption = "Good luck!"; font_size = 20;} ;
   x = 0; y = -100;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_practice2;
   x = 0; y = -300;
} practice1;

# Practice screen 2

picture {
   text { caption = "This was the last practice game!"; font_size = 20;} ;
   x = 0; y = 100;
   text { caption = "Now you will practice with selecting the prize(s)."; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "Note that you will never know in advance whether you may "; font_size = 20;} ;
   x = 0; y = -50;
   text { caption = "select only 1, or more prizes!"; font_size = 20;} ;
   x = 0; y = -100;
	text { caption = "[ Press 'space' to start the instructions ]"; font_size = 18;} ;
   x = 0; y = -300;
} practice2;


# Practice screen 3

picture {
	bitmap { filename = "practice1.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice1;
   x = 0; y = -300;
} practice3;

# Practice screen 4

picture {
	bitmap { filename = "practice2.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice2;
   x = 0; y = -300;
} practice4;


# Practice screen 5

picture {
	bitmap { filename = "practice3.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice3;
   x = 0; y = -300;
} practice5;

# Practice screen 6

picture {
	bitmap { filename = "practice4.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice4;
   x = 0; y = -300;
} practice6;


# Practice screen 7

picture {
	bitmap { filename = "practice5.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} pic_practice5;
   x = 0; y = -300;
} practice7;

# Practice screen 8

picture {
	bitmap { filename = "practice6.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice8;

# Practice screen 9

picture {
	bitmap { filename = "practice7.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice9;

# Practice screen 10

picture {
	bitmap { filename = "practice8.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice10;

# Practice screen 11

picture {
	bitmap { filename = "practice9.png"; } ; # part2: pic product 1
	x = 0; y = 80;
	text { caption = "[ Press 'space' to continue ]"; font_size = 16;} ;
   x = 0; y = -300;
} practice11;


# Practice screen 12

picture {
   text { caption = "Note that the experiment will always have the same duration for every participant, "; font_size = 20;} text_practice21;
   x = 0; y = 100;
   text { caption = "independent of the choices you make!"; font_size = 20;};
   x = 0; y = 50;
   text { caption = "So, waiting for the product you really want does not slow down the experiment."; font_size = 20;};
   x = 0; y = 0;
	text { caption = "[ Press 'space' to continue ]"; font_size = 18;} text_practice22;
   x = 0; y = -300;
} practice12;

# Practice screen 13

picture {
   text { caption = "Are you ready to practice the prize selection part of the experiment? "; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = "These selections do not really count."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Press 'space' to start ]"; font_size = 18;} ;
   x = 0; y = -300;
} practice13;


#  End instructions/practice 

picture {
   text { caption = " This is the end of the practice task. "; font_size = 20;} ;
   x = 0; y = 50;
   text { caption = " If you have any questions at this point, please ask the experimenter."; font_size = 20;} ;
   x = 0; y = 0;
	text { caption = "[ Wait for the experimenter ]"; font_size = 18;} ;
   x = 0; y = -300;
} endpractice;

#  Start fMRI experiment with one practice round with button boxes 

picture {
   text { caption = " Welcome to the scanner! We will practice the task one more time with the button boxes."; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to continue ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI1;

picture {
   text { caption = " In the Time Estimation Game, you press with your LEFT finger after 1 second"; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to continue ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI2;

picture {
   text { caption = " In the prize selection part: "; font_size = 20;} ;
   x = 0; y = 200;
   text { caption = " YES = LEFT finger // NO = RIGHT finger"; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to start the practice task ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI3;


picture {
   text { caption = " First, you will practice the Time Estimation Game. Remember: press with LEFT after 1 second. "; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI4;

picture {
   text { caption = " Now, you will practice the prize selection part. Remember: YES = LEFT  // NO = RIGHT. "; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI5;

picture {
   text { caption = " This is the end of the practice. Are you ready for the real experiment?"; font_size = 20;} ;
   x = 0; y = 100;
	text { caption = "[ Press with LEFT finger to start! ]"; font_size = 20;} ;
   x = 0; y = -300;
} startfMRI6;

# Start experiment screen

picture {
   text { caption = "Are you ready to start the experiment?"; font_size = 20;} text_startexperiment2;
   x = 0; y = 0;	
	text { caption = "[ Press RIGHT INDEX FINGER to start the experiment! ]"; font_size = 18;} ;
   x = 0; y = -300;	
} startexperiment;

### Create the choice task trials ----------------------------------------------------------------------------------------------------

# Show prizes - 2000 ms

trial {
   trial_duration = 2500;
   stimulus_event {
      picture {
			text { caption = " These are the prizes: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "11.png"; } ; # part2: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part3: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part4: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part5: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part6: pic product 5
			x = 410; y = 0;
			} presentation_trial; 
		code = "presentation_prizes";
		 } presentation_event;
} presentationtrial;


# Jitter ---> 2000 - 6000ms

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = "   "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "11b.png"; } ; # part2: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12b.png"; } ; # part3: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13b.png"; }; # part4: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14b.png"; } ; # part5: pic product4
			x = 205; y = 0;
			bitmap { filename = "15b.png"; } ;	# part6: pic product 5
			x = 410; y = 0;
			} jitter_trial; 
		code = "jitter";
		 } jitter_event;
} jittertrial;


# Choice screen - Evaluation (white box) - Duration 3000ms

trial {
   trial_duration = 3000;
	   stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "whiteboxlarge.jpg"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1 
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;	
			} choice3trial_part1; 
		code = "evaluation_part";
	} choice3_event_part1;
} choice3_trial1; 


# Choice screen - Decision (blue box) - Duration until response


trial {
   trial_duration = 2500;
	trial_type = first_response;
	stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; font_color = 255,255,255; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "bluebox.png"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;		
			} choice3trial_part2; 
		response_active = true;
		target_button = 1,2;
		code = "choice_part";
	   } choice3_event_part2;
} choice3_trial2;


# Feedback screen - NO (red box) / YES (green box) - duration jittered in PCL


trial {
   trial_duration = 2000;
	stimulus_event {
      picture {
			text { caption = " Do you want this product? "; font_size = 30; font_color = 255,255,255; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap { filename = "redbox.jpg"; } ; # part2: yellowbox
			x = -410; y = 0;
			bitmap { filename = "11.png"; } ; # part3: pic product 1
			x = -410; y = 0;
			bitmap { filename = "12.png"; } ; # part4: pic product 2
			x = -205; y = 0;
			bitmap { filename = "13.png"; }; # part5: pic product 3
			x = 0; y = 0;
			bitmap { filename = "14.png"; } ; # part6: pic product4
			x = 205; y = 0;
			bitmap { filename = "15.png"; } ;	# part7: pic product 5
			x = 410; y = 0;
			bitmap boxproducts; # part8: chosen products
         x = 0; y = -250;
			bitmap empty ; # part9: chosen products 1
         x = -150; y = -250;
			bitmap empty ; # part10: chosen products 2
         x = -50; y = -250;
			bitmap empty ; # part11: chosen products 3
         x = 50; y = -250;	
			} choice3trial_part3; 
			code = "feedback_part";
	   } choice3_event_part3;
} choice3_trial3;


# Show selected prizes - 2

trial {
   trial_duration = 2000;
   stimulus_event {
      picture {
			text { caption = " This is your selection: "; font_size = 30; } ; # part1: standard text 
         x = 0; y = 250;
			bitmap black ; # part2: pic product 1
			x = -100; y = 0;
			bitmap black ; # part3: pic product 2
			x = 100; y = 0;
			} portfolio2_trial; 
		time = 0;
		duration = 2000;
		code = "presentation_portfolio_2";
		 } portfolio2_event;
} portfolio2trial;

# End of experiment 1

trial {
	trial_duration = 6000;
   stimulus_event {
      picture {
			text { caption = "*** END *** 

This is the end of the experiment!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 200;
			text { caption = "One of the games will now be randomly selected. Please wait...";font_size = 24;} ; # part2: standard text 
         x = 0; y = -100;
			} endexp_pic; 
	   } endexp_event;
} endexp_trial1; 



# End of experiment 2

trial {
   stimulus_event {
      picture {
			text { caption = "Congratulations!"; font_size = 24;} ; # part1: standard text 
         x = 0; y = 200;
			text { caption = "You have won:";font_size = 24;} ; # part2: standard text 
         x = 0; y = 100;
			bitmap black ; # part3: pic product 
			x = 0; y = -100;
			#text { caption = "Please open the door to let the experimenter know that you are finished.";} ; # part2: standard text 
        # x = 0; y = -450;
			} endexp2_pic; 
	   } endexp2_event;
} endexp_trial2; 


### ------- PCL --------------------------------------------------------------------------------------------------------------------------------------

begin_pcl;

string subj_nr = logfile.subject();
string logpath = logfile_directory;

# Tellers + Arrays for Trials
int resp_nrall; 							# Used in sub
int trialtype1counter = 0;				# nr of 1choices
int trialtype2counter = 0;				# nr of 2choices
int trialtype3counter = 0;				# nr of 3choices
int trialtype4counter = 0;				# nr of 4choices
int i; 
int trialnr = 1;
int loopnr = 1;
int outcome = 0;							# outcome time estimation task
int cutoff = 300;							# gets calibrated in practice task
int productcat = 1;
int presentation_number = 0;			# log variable nr of times a product in a category is presented in each 3 choice trial
int wintrial;

array <int> product[40][5];			# [productcategory][productnr] to refer to right product
array <int> productinfo[40][10][2];	# [productcategory][productnr][1 = nr of times shown+notchosen; 2 = nr of times shown+chosen]
array <int> activeproductcat[40][2];# [productcategory][1 = active in 3 choice trial] (1=yes, 0=no)
												# [productcategory][2 = active in 1/2/4  choice trial] (1=yes, 0=no)
array <int> portfolio[4];				# selected prizes 1, 2, 3 or 4 (not all need to be filled)
array <int> listselections[80][4];	# list of selected products for all trials [trialnr][selected prizes]
array <int> categoryselections[80];	# list of productcategory nr per trial [trialnr]
array <int> hittrials[80];				# list of hit trials to select prize from
array <int> activetrialtype[4];		# [outcome 1/4] active yes (1) or no (0)
array<int> box_location[5][2] = { { -410,0 }, { -205,0 }, { 0,0 }, { 205,0 }, { 410,0 }}; 
array <int> timespresented[40][5]; 	# nr of times a product in a category is presented in each 3 choice trial
array <int> fillernumber[40];			# nr of times one of the fillertrial products is shown (max. = 3x)

# For getting Rankings
array <int> productranking[200];  # should be total nr of products 
array<int> temp[200]; 			  	 # should be total nr of products 

# Logfile variables
string Headers1;				Headers1 = "";
string Headers2;				Headers2 = "";
string Headers3;				Headers3 = "";
string Headers4;				Headers4 = "";
string Headers5;				Headers5 = "";

string feedbacktype; 		feedbacktype = "";
string trialtype; 			trialtype = "";
int chosenbefore; 		 	chosenbefore = 0;
int timeschosenbefore;		timeschosenbefore = 0;
int notchosenbefore;			notchosenbefore = 0;
int choicenr = 0;	
int choice = 0;
int rankchoice = 0;
int setnrchoice = 1;
int choicetime = 0;
int type;
int lastRT;
int nrofhits = 0;
int lastchoice = 0;
int nrdifferent = 0;
int first3 = 0;
int hits = 0;

int pulse1=0;
int pulse31=0;

int on_presentation;
int off_presentation;
int on_jitter;
int off_jitter;
int on_evaluation;
int off_evaluation;
int on_choice;
int off_choice;
int on_feedback;
int off_feedback;
int on_selection;
int off_selection;
int on_experiment;

# Set Logfiles
string outfile1 = logfile.subject() + "_diversification_estimation.txt";  
string outfile2 = logfile.subject() + "_diversification_choice.txt";  
string outfile3 = logfile.subject() + "_calibration.txt";  
string outfile4 = logfile.subject() + "_pulses.txt";  
string outfile5 = logfile.subject() + "_prizes.txt";  

output_file ofile1 = new output_file;
output_file ofile2 = new output_file;
output_file ofile3 = new output_file;
output_file ofile4 = new output_file;
output_file ofile5 = new output_file;

# Include subroutines and set-up logfiles
include "Diversification_FMRI_2909.pcl";

### Start instructions/practice -------------------------------------------------------------------------------------------------------------------------------
sub_setuplog_practice();
sub_start_exp();	
sub_practice();	
sub_end_practice();
